-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 12, 2011 at 11:28 AM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `dvdsales`
--

-- --------------------------------------------------------

--
-- Table structure for table `businessinfo`
--

CREATE TABLE IF NOT EXISTS `businessinfo` (
  `BusinessInfo_ID` int(5) NOT NULL AUTO_INCREMENT,
  `BusinessName` text,
  `BusinessAddress` text,
  `ContactInfo` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`BusinessInfo_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `businessinfo`
--

INSERT INTO `businessinfo` (`BusinessInfo_ID`, `BusinessName`, `BusinessAddress`, `ContactInfo`) VALUES
(1, 'Megoyz DVD Store', 'Naawan, Misamis Oriental', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `calendarevents`
--

CREATE TABLE IF NOT EXISTS `calendarevents` (
  `EventID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `StartDateTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `EndDateTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `RecurrenceState` int(11) NOT NULL DEFAULT '0',
  `Subject` text NOT NULL,
  `Location` text NOT NULL,
  `Body` text NOT NULL,
  `BusyStatus` int(11) NOT NULL DEFAULT '0',
  `ImportanceLevel` int(11) NOT NULL DEFAULT '0',
  `LabelID` int(11) NOT NULL DEFAULT '0',
  `ScheduleID` int(11) NOT NULL DEFAULT '0',
  `RecurrencePatternID` int(11) NOT NULL DEFAULT '0',
  `IsRecurrenceExceptionDeleted` int(11) NOT NULL DEFAULT '0',
  `RExceptionStartTimeOrig` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `RExceptionEndTimeOrig` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `IsAllDayEvent` int(11) NOT NULL DEFAULT '0',
  `IsMeeting` int(11) NOT NULL DEFAULT '0',
  `IsPrivate` int(11) NOT NULL DEFAULT '0',
  `IsReminder` int(11) NOT NULL DEFAULT '0',
  `ReminderMinutesBeforeStart` int(11) NOT NULL DEFAULT '0',
  `RemainderSoundFile` text NOT NULL,
  `CustomPropertiesXMLData` text NOT NULL,
  `CustomIconsIDs` text NOT NULL,
  `Created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`EventID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED AUTO_INCREMENT=4 ;

--
-- Dumping data for table `calendarevents`
--

INSERT INTO `calendarevents` (`EventID`, `StartDateTime`, `EndDateTime`, `RecurrenceState`, `Subject`, `Location`, `Body`, `BusyStatus`, `ImportanceLevel`, `LabelID`, `ScheduleID`, `RecurrencePatternID`, `IsRecurrenceExceptionDeleted`, `RExceptionStartTimeOrig`, `RExceptionEndTimeOrig`, `IsAllDayEvent`, `IsMeeting`, `IsPrivate`, `IsReminder`, `ReminderMinutesBeforeStart`, `RemainderSoundFile`, `CustomPropertiesXMLData`, `CustomIconsIDs`, `Created`, `Modified`) VALUES
(1, '2011-09-17 00:00:00', '2011-09-18 00:00:00', 0, '2nd year and 1st Monthsary', 'Naawan', 'Happy Monthsary', 0, 1, 9, 0, 0, 0, '1899-12-30 00:00:00', '1899-12-30 00:00:00', 1, 0, 0, 0, 15, '', '<Calendar CompactMode="1"/>\r\n', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, '2011-09-29 00:00:00', '2011-09-30 00:00:00', 0, 'reserve', 'midway', 'dasdasfeafwqeradasdsad', 2, 1, 8, 0, 0, 0, '1899-12-30 00:00:00', '1899-12-30 00:00:00', 1, 0, 0, 0, 15, '', '<Calendar CompactMode="1"/>\r\n', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, '2011-09-30 00:00:00', '2011-10-01 00:00:00', 0, 'Wendell Enterprise', 'Mapulog', 'Wendel Enterprise order 15 DVDs ( Happy Feet)', 0, 1, 2, 0, 0, 0, '1899-12-30 00:00:00', '1899-12-30 00:00:00', 1, 0, 0, 0, 15, '', '<Calendar CompactMode="1"/>\r\n', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `calendarrecurrencepatterns`
--

CREATE TABLE IF NOT EXISTS `calendarrecurrencepatterns` (
  `RecurrencePatternID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `MasterEventID` int(11) DEFAULT NULL,
  `PatternStartDate` datetime DEFAULT NULL,
  `PatternEndMethod` int(11) DEFAULT NULL,
  `PatternEndDate` datetime DEFAULT NULL,
  `PatternEndAfterOccurrences` int(11) DEFAULT NULL,
  `EventStartTime` datetime DEFAULT NULL,
  `EventDuration` int(11) DEFAULT NULL,
  `OptionsData1` int(11) DEFAULT NULL,
  `OptionsData2` int(11) DEFAULT NULL,
  `OptionsData3` int(11) DEFAULT NULL,
  `OptionsData4` int(11) DEFAULT NULL,
  `CustomPropertiesXMLData` mediumtext,
  PRIMARY KEY (`RecurrencePatternID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `calendarrecurrencepatterns`
--


-- --------------------------------------------------------

--
-- Table structure for table `cash_sales`
--

CREATE TABLE IF NOT EXISTS `cash_sales` (
  `CashSalesID` int(11) NOT NULL,
  `InvoiceNo` varchar(45) DEFAULT NULL,
  `SoldTo` varchar(100) DEFAULT NULL,
  `BusinessName` varchar(50) DEFAULT NULL,
  `Address` text,
  `Date` varchar(25) DEFAULT NULL,
  `Time` datetime DEFAULT NULL,
  `Cashier` varchar(50) DEFAULT NULL,
  `Terminal` varchar(50) DEFAULT NULL,
  `Tin` varchar(45) DEFAULT NULL,
  `Remarks` text,
  `Gross` decimal(11,2) DEFAULT NULL,
  `Discount` int(11) DEFAULT NULL,
  `TaxBase` decimal(11,2) DEFAULT NULL,
  `Vat` decimal(11,2) DEFAULT NULL,
  `NetAmount` decimal(11,2) DEFAULT NULL,
  `Tender` decimal(11,2) DEFAULT NULL,
  `Changed` decimal(11,2) DEFAULT NULL,
  `DateAdded` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(50) DEFAULT NULL,
  `DateModified` varchar(50) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`CashSalesID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cash_sales`
--

INSERT INTO `cash_sales` (`CashSalesID`, `InvoiceNo`, `SoldTo`, `BusinessName`, `Address`, `Date`, `Time`, `Cashier`, `Terminal`, `Tin`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `Vat`, `NetAmount`, `Tender`, `Changed`, `DateAdded`, `CreatedBy`, `DateModified`, `ModifiedBy`) VALUES
(1, 'Inv-1', 'Garay, Philip B.', NULL, NULL, '10/10/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # RENT-1', '14.20', 0, '12.68', '1.52', '14.20', '15.00', '0.80', '10/10/2011', '', NULL, NULL),
(2, 'Inv-2', 'Jasmin, Janine Ll.', NULL, NULL, '10/10/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # Inv-2', '52.15', 0, '46.56', '5.59', '52.15', '53.00', '0.85', '10/10/2011', '', NULL, NULL),
(3, 'Inv-3', '', NULL, NULL, '10/10/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # Inv-3', '37.95', 0, '33.88', '4.07', '37.95', '38.00', '0.05', '10/10/2011', '', NULL, NULL),
(4, 'Inv-4', 'Jasmin, Janine Ll.', NULL, NULL, '10/10/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # RENT-2', '14.20', 0, '12.68', '1.52', '14.20', '15.00', '0.80', '10/10/2011', '', NULL, NULL),
(5, 'Inv-5', '', NULL, NULL, '10/10/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # Inv-5', '37.95', 0, '33.88', '4.07', '37.95', '38.00', '0.05', '10/10/2011', '', NULL, NULL),
(6, 'Inv-6', 'Jasmin, Janine Ll.', NULL, NULL, '10/12/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # Inv-6', '18.95', 0, '16.92', '2.03', '18.95', '19.00', '0.05', '10/12/2011', '', NULL, NULL),
(7, 'Inv-7', '', NULL, NULL, '10/12/2011', NULL, NULL, NULL, NULL, 'Payment for Sales Invoice with Ref # Inv-7', '18.95', 0, '16.92', '2.03', '18.95', '19.00', '0.05', '10/12/2011', '', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `cash_sales_details`
--

CREATE TABLE IF NOT EXISTS `cash_sales_details` (
  `CashSalesDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `CashSalesID` int(11) DEFAULT NULL,
  `products_Title` varchar(255) NOT NULL,
  `ICode` varchar(45) DEFAULT NULL,
  `Qty` int(11) DEFAULT NULL,
  `QtyReturned` int(11) DEFAULT NULL,
  `UnitID` int(11) DEFAULT NULL,
  `Price` decimal(11,2) DEFAULT NULL,
  `Discount` int(11) DEFAULT NULL,
  PRIMARY KEY (`CashSalesDetailID`),
  KEY `CashSalesID` (`CashSalesID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31 ;

--
-- Dumping data for table `cash_sales_details`
--

INSERT INTO `cash_sales_details` (`CashSalesDetailID`, `CashSalesID`, `products_Title`, `ICode`, `Qty`, `QtyReturned`, `UnitID`, `Price`, `Discount`) VALUES
(23, 1, 'DAYBREAKERS', NULL, 1, NULL, NULL, '14.20', 0),
(24, 2, 'TOOTH FAIRY', NULL, 1, NULL, NULL, '37.95', 0),
(25, 2, 'DAYBREAKERS', NULL, 1, NULL, NULL, '14.20', 0),
(26, 3, 'TOOTH FAIRY', NULL, 1, NULL, NULL, '37.95', 0),
(27, 4, 'DAYBREAKERS', NULL, 1, NULL, NULL, '14.20', 0),
(28, 5, 'TOOTH FAIRY', NULL, 1, NULL, NULL, '37.95', 0),
(29, 6, 'Hot Tub Time Machine ', NULL, 1, NULL, NULL, '18.95', 0),
(30, 7, 'Hot Tub Time Machine ', NULL, 1, NULL, NULL, '18.95', 0);

-- --------------------------------------------------------

--
-- Table structure for table `cash_sales_return`
--

CREATE TABLE IF NOT EXISTS `cash_sales_return` (
  `VoucherID` int(5) NOT NULL,
  `CashSalesID` int(5) DEFAULT NULL,
  `VoucherNo` varchar(45) DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` decimal(11,2) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` decimal(11,2) DEFAULT NULL,
  `Vat` decimal(11,2) DEFAULT NULL,
  `NetAmount` decimal(11,2) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`VoucherID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cash_sales_return`
--


-- --------------------------------------------------------

--
-- Table structure for table `cash_sales_return_detail`
--

CREATE TABLE IF NOT EXISTS `cash_sales_return_detail` (
  `CashSalesReturnDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `VoucherID` int(5) DEFAULT NULL,
  `products_id` varchar(25) DEFAULT NULL,
  `Quantity` int(5) DEFAULT NULL,
  `QuantityReturned` int(5) DEFAULT NULL,
  `Unit` varchar(45) DEFAULT NULL,
  `Price` decimal(11,2) DEFAULT NULL,
  `Discount` int(11) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`CashSalesReturnDetailID`),
  KEY `product_id` (`products_id`),
  KEY `VoucherID` (`VoucherID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `cash_sales_return_detail`
--


-- --------------------------------------------------------

--
-- Table structure for table `customers`
--

CREATE TABLE IF NOT EXISTS `customers` (
  `n_id` int(10) NOT NULL,
  `customers_id` varchar(10) NOT NULL,
  `FName` varchar(32) NOT NULL,
  `MI` varchar(2) NOT NULL,
  `LName` varchar(32) NOT NULL,
  `Gender` varchar(10) NOT NULL,
  `DOB` varchar(50) NOT NULL,
  `EmailAddress` varchar(96) NOT NULL,
  `PermanentAddress` varchar(100) NOT NULL,
  `MailingAddress` varchar(100) NOT NULL,
  `MobileNo` varchar(20) NOT NULL,
  `RentalCategory_Name` varchar(25) NOT NULL,
  `UserName` varchar(50) NOT NULL,
  `Password` varchar(10) NOT NULL,
  PRIMARY KEY (`customers_id`),
  KEY `RentalPlanID` (`RentalCategory_Name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customers`
--

INSERT INTO `customers` (`n_id`, `customers_id`, `FName`, `MI`, `LName`, `Gender`, `DOB`, `EmailAddress`, `PermanentAddress`, `MailingAddress`, `MobileNo`, `RentalCategory_Name`, `UserName`, `Password`) VALUES
(1, 'CUST-1', 'Philip', 'B', 'Garay', 'C', '1992-06-30', 'itachi_philip2@yahoo.com', 'Naawan, Misamis Oriental', 'Naawan, Misamis Oriental', '093934049310', 'Regular', 'itachi_philip2', 'bagares'),
(2, 'CUST-2', 'Janine', 'Ll', 'Jasmin', 'C', '0000-00-00', 'nicegal17@gmail.com', 'Lugait,Misamis Oriental', '', '09207529821', 'Regular', 'janhil17', 'janiline'),
(3, 'CUST-3', 'Jered', 'P', 'Calibara', 'C', '9/15/2011 12:00:00 AM', 'megz@megoy.com', 'sadasdsadasdasd', '', '0934234242', 'Special', 'jred', 'megoy'),
(4, 'CUST-4', 'Wendell', 'C', 'Dadulo', 'C', '9/16/2011 12:00:00 AM', 'wendell@megoyz.com', 'Patag, Tagbalogo Mis. Or.', 'Patag, Tagbalogo Mis. Or.', '09209999999', 'Special', 'dadudz', 'lol'),
(5, 'CUST-5', 'Judymar', 'Z', 'Acosta', 'C', '9/16/2011 12:00:00 AM', 'asdasdasdas', 'afasdasf', 'ssgfsgsdgfg', '09034234545', 'Regular', 'a', 'a'),
(6, 'CUST-6', 'Ian John', 'J', 'Roble', 'Male', '9/28/2011', 'ian@megoyz.com', 'Patag, Naawan Mis. Or', 'Patag, Naawan Mis. Or', '09232342342', 'Regular', 'john27', '27john');

-- --------------------------------------------------------

--
-- Table structure for table `customers_info`
--

CREATE TABLE IF NOT EXISTS `customers_info` (
  `customers_info_id` int(5) NOT NULL,
  `customersinfo_DateOflLastLogon` datetime DEFAULT NULL,
  `customerinfo_NumberOfLogons` int(5) DEFAULT NULL,
  `customerinfo_CreatedOn` datetime DEFAULT NULL,
  `customerinfo_ModifiedOn` datetime DEFAULT NULL,
  PRIMARY KEY (`customers_info_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customers_info`
--


-- --------------------------------------------------------

--
-- Table structure for table `customer_basket`
--

CREATE TABLE IF NOT EXISTS `customer_basket` (
  `customer_basket_id` int(5) NOT NULL,
  `customer_id` int(5) DEFAULT NULL,
  `products_id` text,
  `customer_basket_quantity` int(2) DEFAULT NULL,
  `final_price` decimal(8,2) DEFAULT NULL,
  `customer_basket_createdOn` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_basket_id`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer_basket`
--


-- --------------------------------------------------------

--
-- Table structure for table `emails`
--

CREATE TABLE IF NOT EXISTS `emails` (
  `Emails_ID` int(11) NOT NULL AUTO_INCREMENT,
  `To` varchar(100) DEFAULT NULL,
  `Cc` varchar(100) DEFAULT NULL,
  `Subject` text,
  `BodyOfMessage` text,
  PRIMARY KEY (`Emails_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `emails`
--


-- --------------------------------------------------------

--
-- Table structure for table `email server`
--

CREATE TABLE IF NOT EXISTS `email server` (
  `Provider` varchar(100) NOT NULL,
  `POP3` varchar(100) NOT NULL,
  `SMTP` varchar(100) NOT NULL,
  `IMAP` varchar(100) NOT NULL,
  `HTTP` varchar(100) NOT NULL,
  `PORT` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `email server`
--

INSERT INTO `email server` (`Provider`, `POP3`, `SMTP`, `IMAP`, `HTTP`, `PORT`) VALUES
('Gmail', '', 'smtp.gmail.com', '', '', '587'),
('Yahoo! Mail', '', 'smtp.mail.yahoo.com', '', '', '465'),
('Yahoo! Mail Plus', '', 'plus.smtp.mail.yahoo.com', '', '', '465'),
('smtp.aol.com', '', '', '', '', '587');

-- --------------------------------------------------------

--
-- Table structure for table `emailtemplates`
--

CREATE TABLE IF NOT EXISTS `emailtemplates` (
  `Mail_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Subject` text NOT NULL,
  `Introduction` text NOT NULL,
  `SignOff` text NOT NULL,
  `MailType` varchar(50) NOT NULL,
  PRIMARY KEY (`Mail_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `emailtemplates`
--

INSERT INTO `emailtemplates` (`Mail_ID`, `Subject`, `Introduction`, `SignOff`, `MailType`) VALUES
(1, 'Overdue Rentals Reminder', 'Dear Valued customer,\r\n\r\nWe are reminding you that you have the following overdue rentals still on loan with you from our store:', '\r\nWe would be grateful if you could return the above items as soon as possible.\r\n\r\nCounting on your usual cooperation,\r\n\r\nManagement', 'OVERDUE'),
(2, 'Free Birthday rental!', 'Dear valued customer,\r\n\r\nWe are pleased to inform you that in honor of you upcoming birthday we are offering you a free rental from our eclectic video collection.', 'To claim this offer kindly present a printout of this email to our store on your birthday.\r\n\r\nKind regards,\r\nManagement.', 'BIRTHDAY'),
(3, 'Message From Megoy Store', 'Dear valued customer,\r\n\r\nHave a great day', '\r\nKind regards,\r\n\r\nManagement', 'CUSTOM'),
(4, 'Outstanding Account Balance', 'Dear valued customer,\r\n\r\nThis is to remind you that you have an outstanding balance in our store.', '\r\nWe would be grateful if you could visit our store and have this settled as soon as possible.\r\n\r\nCounting on you usual cooperation.\r\n\r\nKind regards,\r\nManagement.', 'ACCOUNT'),
(5, 'Email Sending Test - C#', 'This is an e-mail message sent automatically by Email Sending Sample while testing the settings of POP3 account.\r\n', 'Thank you....\r\n\r\nPhilip Cesar B. Garay', 'Test Email');

-- --------------------------------------------------------

--
-- Table structure for table `generator`
--

CREATE TABLE IF NOT EXISTS `generator` (
  `TableName` varchar(25) NOT NULL,
  `NextNo` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `generator`
--

INSERT INTO `generator` (`TableName`, `NextNo`) VALUES
('Purchase_Order', 5),
('Purchase_Order_Receive', 3),
('Purchase_Order_Return', 0),
('Cash_Sales', 7),
('Cash_Sales_Return', 0),
('Sales_Order', 6),
('Sales_Order_Delivery', 0),
('Sales_Order_Return', 0),
('Products', 5),
('Customer', 6),
('Rental', 2);

-- --------------------------------------------------------

--
-- Table structure for table `movie_trailer`
--

CREATE TABLE IF NOT EXISTS `movie_trailer` (
  `Movie_Trailer_ID` int(10) NOT NULL,
  `products_id` varchar(10) DEFAULT NULL,
  `Trailer_Link` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`Movie_Trailer_ID`),
  KEY `products_id` (`products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `movie_trailer`
--

INSERT INTO `movie_trailer` (`Movie_Trailer_ID`, `products_id`, `Trailer_Link`) VALUES
(0, 'MOV-6', 'http://www.youtube.com/embed/_TXNEE6SaoI'),
(1, 'MOV-1', 'http://www.youtube.com/embed/JqnjK79fGSw'),
(2, 'MOV-2', 'http://www.youtube.com/embed/MAIpBSKJWXM'),
(3, 'MOV-3', 'http://www.youtube.com/embed/eZbzbC9285I'),
(4, 'MOV-4', 'https://www.youtube.com/watch?v=mUKtZgDLnnw');

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE IF NOT EXISTS `products` (
  `n_id` int(11) NOT NULL DEFAULT '0',
  `products_id` varchar(10) NOT NULL,
  `products_Title` varchar(100) DEFAULT NULL,
  `Barcode` varchar(45) DEFAULT NULL,
  `Supplier` varchar(45) DEFAULT NULL,
  `Genre` varchar(45) DEFAULT NULL,
  `Plot` text,
  `Cast` text,
  `Director` varchar(45) DEFAULT NULL,
  `ProductionYear` varchar(45) DEFAULT NULL,
  `Runtime` varchar(45) DEFAULT NULL,
  `Rating` varchar(50) DEFAULT NULL,
  `Type` varchar(45) DEFAULT NULL,
  `Location` varchar(50) DEFAULT NULL,
  `SpecialFeatures` text,
  `ImageLink` text,
  `IMDBLink` text,
  `ReleaseDate` varchar(25) DEFAULT NULL,
  `RentalCategory` varchar(45) NOT NULL,
  `BegInvStock` int(11) NOT NULL,
  `DefaultPrice` varchar(15) NOT NULL,
  `RentalDays` int(5) NOT NULL,
  `LastRented` varchar(10) NOT NULL,
  `CostPrice` varchar(15) NOT NULL,
  `SellingPrice` varchar(10) NOT NULL,
  `State` varchar(20) NOT NULL,
  `Format` varchar(20) NOT NULL,
  `PurchaseDate` varchar(10) NOT NULL,
  PRIMARY KEY (`products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `products`
--

INSERT INTO `products` (`n_id`, `products_id`, `products_Title`, `Barcode`, `Supplier`, `Genre`, `Plot`, `Cast`, `Director`, `ProductionYear`, `Runtime`, `Rating`, `Type`, `Location`, `SpecialFeatures`, `ImageLink`, `IMDBLink`, `ReleaseDate`, `RentalCategory`, `BegInvStock`, `DefaultPrice`, `RentalDays`, `LastRented`, `CostPrice`, `SellingPrice`, `State`, `Format`, `PurchaseDate`) VALUES
(1, 'MOV-1', 'TOOTH FAIRY', '9321337106625', 'Fox', 'Children - Family', 'Derek Thompson is The Tooth Fairy, a hard-charging minor league hockey player whose nickname comes from his habit of separating opposing players from their bicuspids. When Derek discourages a youngsters hopes, hes sentenced to one weeks hard labor as a real tooth fairy, complete with the requisite tutu, wings and magic wand. At first, Derek cant handle the tooth bumbling and stumbling as he tries to furtively wing his way through strangers homesdoing what tooth fairies do. But as Derek slowly adapts to his new position, he begins to rediscover his own forgotten dreams', 'Dwayne Johnson, Julie Andrews, Ashley Judd, Ryan Sheckler, Seth MacFarlane', 'Michael Lembeck', '2009', 'g', 'g', 'DVD', 'Family & Child', '16:9 Enhanced, Full Height Anamorphic, Widescreen', 'tooth fairy.jpg', 'http://www.imdb.com/title/tt0808510/', '9/25/2011 8:47:57 PM', 'Regular', 20, '39.95 ', 1, 'n/a', '39.95 ', '37.95', 'Active', 'DVD', '09/25/2011'),
(2, 'MOV-2', 'Happy Feet', '9398710408096', 'Roadshow', 'Children - Family', 'Ever felt like you dont quite fit in.Meet Mumble, the penguin who needs to find his heart song in order to find his true love. The problem is Mumble cant sing, but has an extraordinary talent for tap dancing. Mumble is just too different-especially for the stern leader of Emperor Land, casts him out of the community.Away from home for the first time, Mumble meets a posse of un-Emperor-like penguins-the Adelie Amigos. Together they set out across vast landscapes and, after some epic encounters, proves that by being true to yourself, you can make all the difference in the world.', 'System.Windows.Forms.TextBox, Text: System.Windows.Forms.TextBox, Text: Elij...', 'George Miller', '2006', 'G', 'G', 'DVD', 'System.Windows.Forms.TextBox, Text: System.Windows', 'George Miller interview - With two young Happy Feet fans; Theatrical trailer', 'happy feet.jpg', 'http://www.imdb.com/title/tt0366548/', '9/25/2011 9:06:14 PM', 'Regular', 10, '24.95 ', 1, 'n/a', '24.95 ', '14.20 ', 'Active', 'DVD', '09/25/2011'),
(3, 'MOV-3', 'The Incredibles', '9398512424034', 'Walt Disney Studios Home Ent.', 'Children - Family', 'From the Academy Award winning creators of Finding Nemo comes the action-packed animated adventure about the mundane and incredible lives of a house full of superheroes. Bob Parr and his wife Helen used to be among the worlds greatest crime fighters, saving lives and battling evil on a daily basis. Fifteen years later, they have been forced to adopt civilian identities and retreat to the suburbs where thet live "normal" lives with their three kids, Violet, Dash and Jack-Jack. Itching to get back into action, Bob gets his chance when a mysterious communications summons him to a remote island for a top secret assignment. He soon discovers that it will take a super family effort to rescue the world from total destruction. Exploding with exclusive fun and featuring an all-new animated short film, this spectacular 2-disc collectors edition DVD is high-flying entertainment for everyone.', 'Craig T. Nelson, Holly Hunter, Samuel L. Jackson, Jason Lee', 'Brad Bird', '2004', '121 minutes', 'PG', 'DVD', 'Children & Family Section', 'Introduction: Disc 1 - Filmmakers; Audio Commentary: Brad Bird (Writer/Director) And John Walker (Producer); Audio Commentary: Animators; Introduction: Disc 2 - Brad Bird (Writer/Director); Short Film: Jack-Jack Attack; Deleted Scenes; Featurette-Making Of; Featurette-Making Of: More Making Of...; Outtakes: Incredi-Blunders; Gallery: 6; Teaser Trailer; Theatrical Trailer: 2; Featurette: Mr. Incredible & Pals, With Commentary; Featurette: NSA Files; Short Film: Boundin, With Commentary; Featurette: Who Is Bud Luckey', 'The Incredibles.jpg', 'http://www.imdb.com/title/tt0317705/', '9/25/2011 10:08:55 PM', 'Regular', 10, '24.95 ', 1, 'n/a', '24.95 ', '23.70 ', 'Active', 'DVD', '09/25/2011'),
(4, 'MOV-4', 'DAYBREAKERS', '9317731075438', 'Sony Pictures', 'Horror-Sci-Fi', 'In a world 10 years into the future, vampires make up the vast majority of the population with only 5% of the human race remaining. This presents particular challenges as the vampires food supply - human blood - is dwindling and rationing is now the norm. There is growing evidence that vampires deprived of an adequate blood supply are themselves evolving into wild, vile creatures that attack anyone and anything in order to survive. Dr. Edward Dalton, a vampire and hematologist who works for a pharmaceutical firm, has been working on finding an artificial blood supply that will meet the vampire societys needs. He is sympathetic to humans and sees his work as a way of alleviating their suffering but his views on finding a solution change considerably when he meets someone who found a way to transform himself from being a vampire to again take human form.', 'Harriet Minto-Day, Jay Lagaaia, Damien Garvey, Sahaj Dumpleton, Allan Todd, Gabriella Di Labio, Ben Siemer, Peter Welman, Ethan Hawke, Callum McLean, Jarrad Pon, Victoria Williams, Zoe White, Aolani Roy, Tiffany Lamb', 'Michael Spierig, Peter Spierig', '2009', '94 minutes', 'MA15+', 'DVD', 'Horror/Sci-Fi Section', '16:9 Enhanced, Full Height Anamorphic, Widescreen', 'Matrix.jpg', 'https://www.imdb.com/title/tt0433362/', '9/29/2011 3:40:38 PM', 'Regular', 10, '39.95 ', 1, 'n/a', '39.95 ', '14.20', 'Active', 'DVD', '16/06/2010'),
(6, 'MOV-6', 'Hot Tub Time Machine ', '9321337123288', 'Fox', 'Comedy', 'HOT TUB TIME MACHINE follows a group of best friends whove become bored with their adult lives: Adam (John Cusack) has been dumped by his girlfriend; Lou (Rob Corddry) is a party guy who cant... HOT TUB TIME MACHINE follows a group of best friends whove become bored with their adult lives: Adam (John Cusack) has been dumped by his girlfriend; Lou (Rob Corddry) is a party guy who cant find the party; Nicks (Craig Robinson) wife controls his every move; and video game-obsessed Jacob (Clark Duke) wont leave his basement. After a crazy night of drinking in a ski resort hot tub, the men wake up, heads pounding, in the year 1986. This is their chance to kick some past and change their futures one will find a new love life, one will learn to stand up for himself with the ladies, one will find his mojo, and one will make sure he still exists!\r\n', 'John Cusack, Clark Duke, Craig Robinson, Rob Corddry, Sebastian Stan, Lyndsy Fonseca, Crispin Glover, Chevy Chase, Charlie McDermott, Lizzy Caplan, Collette Wolfe, Aliu Oyofo, Jake Rose, Brook Bennett, Crystal Lowe', 'Steve Pink', '2010', '99 minutes', 'MA15+', 'Blue-Ray', 'Comedy Section', 'Includes Digital Copy; Deleted Scenes; Acting Like Idiots; Chevy Chase: The Nicest Guy in Hollywood; Totally Radical Outfits: Dayna Pink; Crispin Glover: One Armed Bellhop\r\n', 'openFileDialog1', 'http://www.imdb.com/title/tt1231587/', '10/11/2011 1:11:19 AM', 'Regular', 11, '39.95', 1, 'n/a', '39.95', '18.95  ', 'For Sale', 'Blue-Ray', 'n/a');

-- --------------------------------------------------------

--
-- Table structure for table `product_category`
--

CREATE TABLE IF NOT EXISTS `product_category` (
  `Product_Category_ID` int(5) NOT NULL,
  `Category_Name` varchar(45) DEFAULT NULL,
  `CreatedOn` date DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` date DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`Product_Category_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `product_category`
--


-- --------------------------------------------------------

--
-- Table structure for table `purchase_order`
--

CREATE TABLE IF NOT EXISTS `purchase_order` (
  `PurchaseOrderID` int(11) NOT NULL,
  `PONo` varchar(45) DEFAULT NULL,
  `Supplier_ID` int(11) DEFAULT NULL,
  `Date` varchar(50) DEFAULT NULL,
  `Salesman` varchar(45) DEFAULT NULL,
  `ShippingInstructions` text,
  `AdditionalInstructions` text,
  `DeclaredAs` text,
  `DeclaredValue` text,
  `Remarks` text,
  `Gross` decimal(10,2) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` decimal(10,2) DEFAULT NULL,
  `VAT` decimal(10,2) DEFAULT NULL,
  `NetAmount` decimal(10,2) DEFAULT NULL,
  `CreatedOn` varchar(50) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(50) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`PurchaseOrderID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `purchase_order`
--

INSERT INTO `purchase_order` (`PurchaseOrderID`, `PONo`, `Supplier_ID`, `Date`, `Salesman`, `ShippingInstructions`, `AdditionalInstructions`, `DeclaredAs`, `DeclaredValue`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `VAT`, `NetAmount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(1, 'PO-1', 1, '9/29/2011', 'Wendel Dadulo', 'sadsad', 'asdsadsa', '', '', '', '37.90', '0.00', '33.84', '4.06', '37.90', '9/29/2011', 'Administrator', NULL, NULL),
(2, 'PO-2', 2, '9/29/2011', 'WEndell Dadulo', 'afasdsa', 'sadsadsadsa', '', '', '', '23.70', '0.00', '21.16', '2.54', '23.70', '9/29/2011', 'Administrator', NULL, NULL),
(3, 'PO-3', 1, '10/4/2011', 'wendell dadudz', 'n/a', 'asdasdasdas', '', '', '', '90.00', '0.00', '80.36', '9.64', '90.00', '10/4/2011', 'Administrator', NULL, NULL),
(4, 'PO-4', 2, '10/8/2011', 'Janette Cabigas', 'sdasdsa', 'asdsadsa', 'asdasd', '15,000', '', '123.30', '0.00', '109.41', '13.13', '122.54', '10/8/2011', '', NULL, NULL),
(5, 'PO-5', 1, '10/8/2011', 'Janine Jasmin', 'sadsa', 'asdsa', 'sdasd', '10000', '', '66.35', '0.00', '59.24', '7.11', '66.35', '10/8/2011', '', NULL, NULL),
(6, 'PO-6', 1, '10/12/2011', 'Liu kang', 'sadasd', 'sadasdasd', '5 Qty', '94.75', '', '94.75', '0.00', '84.60', '10.15', '94.75', '10/12/2011', '', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_detail`
--

CREATE TABLE IF NOT EXISTS `purchase_order_detail` (
  `PurchaseOrderDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `PurchaseOrderID` int(5) DEFAULT NULL,
  `products_id` varchar(50) DEFAULT NULL,
  `Qty` int(5) NOT NULL,
  `QtyReceived` int(5) NOT NULL,
  `Price` int(5) DEFAULT NULL,
  `Discount` int(5) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`PurchaseOrderDetailID`),
  KEY `PurchaseOrderID` (`PurchaseOrderID`),
  KEY `products_id` (`products_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `purchase_order_detail`
--

INSERT INTO `purchase_order_detail` (`PurchaseOrderDetailID`, `PurchaseOrderID`, `products_id`, `Qty`, `QtyReceived`, `Price`, `Discount`, `CreatedBy`, `CreatedOn`, `ModifiedBy`, `ModifiedOn`) VALUES
(6, 1, 'MOV-3', 1, 3, 24, 0, 'Administrator', '0000-00-00', NULL, NULL),
(7, 1, 'MOV-2', 1, 1, 14, 0, 'Administrator', '0000-00-00', NULL, NULL),
(8, 2, 'MOV-3', 1, 3, 24, 0, 'Administrator', '9/29/2011', NULL, NULL),
(9, 3, 'MOV-3', 2, 3, 24, 0, 'Administrator', '10/4/2011', NULL, NULL),
(10, 3, 'MOV-2', 3, 1, 14, 0, 'Administrator', '10/4/2011', NULL, NULL),
(11, 4, 'MOV-3', 2, 2, 24, 0, '', '10/8/2011', NULL, NULL),
(12, 4, 'MOV-1', 2, 2, 38, 1, '', '10/8/2011', NULL, NULL),
(13, 5, 'MOV-1', 1, 2, 38, 0, '', '10/8/2011', NULL, NULL),
(14, 5, 'MOV-2', 1, 0, 14, 0, '', '10/8/2011', NULL, NULL),
(15, 5, 'MOV-4', 1, 0, 14, 0, '', '10/8/2011', NULL, NULL),
(16, 6, 'MOV-6', 5, 5, 19, 0, '', '10/12/2011', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_expense`
--

CREATE TABLE IF NOT EXISTS `purchase_order_expense` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `InvoiceID` int(5) DEFAULT NULL,
  `ExpenseID` int(5) DEFAULT NULL,
  `ExpenseAmount` int(7) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `InvoiceID` (`InvoiceID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `purchase_order_expense`
--


-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_receive`
--

CREATE TABLE IF NOT EXISTS `purchase_order_receive` (
  `InvoiceID` int(5) NOT NULL,
  `PurchaseOrderID` int(5) DEFAULT NULL,
  `InvoiceNo` varchar(45) DEFAULT NULL,
  `InvoiceDate` varchar(25) DEFAULT NULL,
  `DeliveryNo` varchar(45) DEFAULT NULL,
  `DeliveryDate` varchar(25) DEFAULT NULL,
  `Agent` varchar(45) DEFAULT NULL,
  `Shipper` varchar(45) DEFAULT NULL,
  `WayBill` varchar(45) DEFAULT NULL,
  `Terms` varchar(45) DEFAULT NULL,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` decimal(10,2) NOT NULL,
  `Discount` decimal(10,2) DEFAULT NULL,
  `TaxBase` decimal(10,2) DEFAULT NULL,
  `VAT` decimal(10,2) DEFAULT NULL,
  `NetAmount` decimal(10,2) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`InvoiceID`),
  KEY `PurchaseOrderID` (`PurchaseOrderID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `purchase_order_receive`
--

INSERT INTO `purchase_order_receive` (`InvoiceID`, `PurchaseOrderID`, `InvoiceNo`, `InvoiceDate`, `DeliveryNo`, `DeliveryDate`, `Agent`, `Shipper`, `WayBill`, `Terms`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `VAT`, `NetAmount`, `CreatedOn`, `CreatedBy`) VALUES
(1, 1, '1001845', '0000-00-00', '1001845', '0000-00-00', 'Agent X44', '', '', '', '', '37.90', '0.00', '33.84', '4.06', '37.90', '0000-00-00', 'Administrator'),
(2, 6, '1001845', '10/12/2011', '20103eqeda123', '10/12/2011 1:47:41 AM', '', '', '', '', '', '94.75', '0.00', '84.60', '10.15', '94.75', '10/12/2011', ''),
(3, 4, '21321wqdas', '10/12/2011', '23121asdas', '10/12/2011 3:20:48 AM', '', '', '', '', '', '123.30', '0.00', '109.41', '13.13', '122.54', '10/12/2011', '');

-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_receiving_detail`
--

CREATE TABLE IF NOT EXISTS `purchase_order_receiving_detail` (
  `PurchaseOrderRecDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `InvoiceID` int(5) DEFAULT NULL,
  `products_id` varchar(25) DEFAULT NULL,
  `Qty` int(5) DEFAULT NULL,
  `QtyReturned` int(5) DEFAULT NULL,
  `Unit` varchar(45) DEFAULT NULL,
  `Price` varchar(45) DEFAULT NULL,
  `Discount` int(5) DEFAULT NULL,
  `CreatedOn` date DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` date DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`PurchaseOrderRecDetailID`),
  KEY `InvoiceID` (`InvoiceID`),
  KEY `products_id` (`products_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `purchase_order_receiving_detail`
--

INSERT INTO `purchase_order_receiving_detail` (`PurchaseOrderRecDetailID`, `InvoiceID`, `products_id`, `Qty`, `QtyReturned`, `Unit`, `Price`, `Discount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(1, 1, 'MOV-3', 1, NULL, NULL, '24', 0, NULL, NULL, NULL, NULL),
(2, 1, 'MOV-2', 1, NULL, NULL, '14', 0, NULL, NULL, NULL, NULL),
(3, 2, 'MOV-6', 5, NULL, NULL, '19', 0, NULL, NULL, NULL, NULL),
(4, 3, 'MOV-3', 2, NULL, NULL, '24', 0, NULL, NULL, NULL, NULL),
(5, 3, 'MOV-1', 2, NULL, NULL, '38', 100, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_return`
--

CREATE TABLE IF NOT EXISTS `purchase_order_return` (
  `PurchaseOrderReturnID` int(5) NOT NULL,
  `InvoiceID` int(11) DEFAULT NULL,
  `DebitMemoNo` text,
  `DebitMemoDate` varchar(45) DEFAULT NULL,
  `Purchase_Order_Returncol` date DEFAULT NULL,
  `Reason` text,
  `ApprovedBy` varchar(45) DEFAULT NULL,
  `PostedBy` varchar(45) DEFAULT NULL,
  `Date` date DEFAULT NULL,
  `AcknowledgedBy` varchar(45) DEFAULT NULL,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` varchar(45) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` varchar(45) DEFAULT NULL,
  `VAT` varchar(45) DEFAULT NULL,
  `NetAmount` varchar(45) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`PurchaseOrderReturnID`),
  KEY `InvoiceID` (`InvoiceID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `purchase_order_return`
--


-- --------------------------------------------------------

--
-- Table structure for table `purchase_order_return_detail`
--

CREATE TABLE IF NOT EXISTS `purchase_order_return_detail` (
  `PurchaseOrder_ReturnDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `PurchaseOrderReturnID` int(5) DEFAULT NULL,
  `product_id` int(5) DEFAULT NULL,
  `Qty` varchar(45) DEFAULT NULL,
  `QtyReturned` varchar(45) DEFAULT NULL,
  `Unit` varchar(45) DEFAULT NULL,
  `Price` varchar(45) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`PurchaseOrder_ReturnDetailID`),
  KEY `Purchase_Order_ReturnID` (`PurchaseOrderReturnID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `purchase_order_return_detail`
--


-- --------------------------------------------------------

--
-- Stand-in structure for view `qrycustomerplan`
--
CREATE TABLE IF NOT EXISTS `qrycustomerplan` (
`customers_id` varchar(10)
,`RentalCategory_Name` varchar(25)
,`MaxHold` int(11)
,`LateFeePerDay` double
,`DefaultDays` int(3)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qrycustomers_detail`
--
CREATE TABLE IF NOT EXISTS `qrycustomers_detail` (
`customers_id` varchar(10)
,`Fullname` varchar(70)
,`Gender` varchar(10)
,`PermanentAddress` varchar(100)
,`EmailAddress` varchar(96)
,`MobileNo` varchar(20)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qryfullname`
--
CREATE TABLE IF NOT EXISTS `qryfullname` (
`Fullname` varchar(70)
,`customers_id` varchar(10)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qrymoviesearch`
--
CREATE TABLE IF NOT EXISTS `qrymoviesearch` (
`products_id` varchar(10)
,`products_Title` varchar(100)
,`Rating` varchar(50)
,`Cast` text
,`Genre` varchar(45)
,`EndingInv` int(11)
,`Location` varchar(50)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qrystockmonitoring`
--
CREATE TABLE IF NOT EXISTS `qrystockmonitoring` (
`products_id` varchar(10)
,`Barcode` varchar(45)
,`products_Title` varchar(100)
,`BegInvStock` int(11)
,`SellingPrice` varchar(10)
,`EndingInv` int(11)
,`RentalCategory` varchar(45)
,`Genre` varchar(45)
,`Trailer_Link` varchar(50)
,`DefaultPrice` varchar(15)
,`CostPrice` varchar(15)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_cash_sales_detail`
--
CREATE TABLE IF NOT EXISTS `qry_cash_sales_detail` (
`CashSalesDetailID` int(11)
,`CashSalesID` int(11)
,`Barcode` varchar(45)
,`products_Title` varchar(100)
,`Qty` int(11)
,`QtyReturned` int(11)
,`QtyDue` bigint(12)
,`SellingPrice` varchar(10)
,`Price` decimal(11,2)
,`Gross` decimal(21,2)
,`Discount` int(11)
,`NetAmount` varchar(87)
,`DiscountAmount` varchar(77)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_purchase_order`
--
CREATE TABLE IF NOT EXISTS `qry_purchase_order` (
`PurchaseOrderID` int(11)
,`PONo` varchar(45)
,`Description` varchar(45)
,`Date` varchar(50)
,`Salesman` varchar(45)
,`ShippingInstructions` text
,`AdditionalInstructions` text
,`DeclaredAs` text
,`DeclaredValue` text
,`QtyOrdered` decimal(26,0)
,`QtyRcvd` decimal(26,0)
,`QtyDue` decimal(27,0)
,`Gross` decimal(10,2)
,`Discount` varchar(45)
,`TaxBase` decimal(10,2)
,`VAT` decimal(10,2)
,`NetAmount` decimal(10,2)
,`Remarks` text
,`City_Town` varchar(45)
,`Province` varchar(45)
,`ZipCode` varchar(45)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_purchase_order_detail`
--
CREATE TABLE IF NOT EXISTS `qry_purchase_order_detail` (
`PurchaseOrderDetailID` int(11)
,`PurchaseOrderID` int(5)
,`Barcode` varchar(45)
,`products_id` varchar(50)
,`products_Title` varchar(100)
,`Qty` int(5)
,`QtyReceived` int(5)
,`QtyDue` int(6)
,`SellingPrice` varchar(10)
,`Price` int(5)
,`Gross` int(9)
,`Discount` int(5)
,`NetAmount` decimal(20,4)
,`DiscountAmount` varchar(50)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_purchase_order_receive`
--
CREATE TABLE IF NOT EXISTS `qry_purchase_order_receive` (
`InvoiceID` int(5)
,`PurchaseOrderID` int(11)
,`PONo` varchar(45)
,`Description` varchar(45)
,`Address` varchar(139)
,`Date` varchar(50)
,`InvoiceNo` varchar(45)
,`InvoiceDate` varchar(25)
,`DeliveryNo` varchar(45)
,`DeliveryDate` varchar(25)
,`Agent` varchar(45)
,`Shipper` varchar(45)
,`WayBill` varchar(45)
,`Terms` varchar(45)
,`Remarks` varchar(45)
,`Gross` decimal(10,2)
,`Discount` decimal(10,2)
,`TaxBase` decimal(10,2)
,`VAT` decimal(10,2)
,`NetAmount` decimal(10,2)
,`QtyRcvd` decimal(26,0)
,`Returned` decimal(26,0)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_purchase_order_receiving_detail`
--
CREATE TABLE IF NOT EXISTS `qry_purchase_order_receiving_detail` (
`PurchaseOrderRecDetailID` int(11)
,`InvoiceID` int(5)
,`Barcode` varchar(45)
,`products_id` varchar(25)
,`products_Title` varchar(100)
,`Qty` int(5)
,`QtyReturned` int(5)
,`QtyDue` int(6)
,`SellingPrice` varchar(10)
,`Price` varchar(45)
,`Gross` double
,`Discount` int(5)
,`NetAmount` double
,`DiscountAmount` varchar(63)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order` (
`SalesOrderID` int(11)
,`SONo` varchar(45)
,`customers_id` varchar(10)
,`Fullname` varchar(70)
,`PermanentAddress` varchar(100)
,`Date` varchar(25)
,`Salesman` varchar(45)
,`OrderedBy` varchar(45)
,`DispatchedBy` varchar(45)
,`DeliveryInstructions` text
,`QtyOrdered` decimal(26,0)
,`QtyRcvd` decimal(26,0)
,`QtyDue` decimal(27,0)
,`Gross` decimal(10,2)
,`Discount` varchar(45)
,`TaxBase` decimal(10,2)
,`Vat` decimal(10,2)
,`NetAmount` decimal(10,2)
,`Remarks` varchar(45)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order_delivery`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order_delivery` (
`DeliveryID` varchar(25)
,`SalesOrderID` int(11)
,`SONo` varchar(45)
,`Fullname` varchar(70)
,`PermanentAddress` varchar(100)
,`Date` varchar(25)
,`DeliveryNo` varchar(45)
,`DeliveryDate` varchar(25)
,`CheckedBy` varchar(45)
,`DeliveredBy` varchar(45)
,`Frieght` varchar(45)
,`Terms` varchar(100)
,`Remarks` varchar(45)
,`Gross` decimal(10,2)
,`Discount` varchar(45)
,`TaxBase` decimal(10,2)
,`Vat` decimal(10,2)
,`NetAmount` decimal(10,2)
,`QtyRcvd` decimal(32,0)
,`Returned` decimal(32,0)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order_delivery_detail`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order_delivery_detail` (
`SalesOrderDelDetailID` int(11)
,`DeliveryID` varchar(20)
,`Barcode` varchar(45)
,`products_id` varchar(10)
,`products_Title` varchar(100)
,`Qty` int(11)
,`QtyReturned` int(11)
,`QtyDue` bigint(12)
,`SellingPrice` varchar(10)
,`Price` decimal(11,2)
,`Gross` decimal(21,2)
,`Discount` int(5)
,`NetAmount` varchar(79)
,`DiscountAmount` varchar(69)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order_detail`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order_detail` (
`SalesOrderDetailID` int(11)
,`SalesOrderID` int(11)
,`Barcode` varchar(45)
,`products_id` varchar(25)
,`products_Title` varchar(100)
,`Qty` int(5)
,`QtyReceived` int(5)
,`QtyDue` int(6)
,`SellingPrice` varchar(10)
,`Price` varchar(45)
,`Gross` double
,`Discount` varchar(45)
,`NetAmount` double
,`DiscountAmount` varchar(63)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order_return`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order_return` (
`SalesOrderReturnID` int(5)
,`SONo` varchar(45)
,`Fullname` varchar(70)
,`customers_id` varchar(45)
,`Date` varchar(25)
,`DeliveryID` varchar(25)
,`DeliveryNo` varchar(45)
,`DeliveryDate` varchar(25)
,`CreditMemoNo` varchar(45)
,`CreditMemoDate` varchar(25)
,`Reason` text
,`Referrence` varchar(50)
,`PreparedBy` varchar(45)
,`ReceivedBy` varchar(45)
,`PostedBy` varchar(45)
,`ApprovedBy` varchar(45)
,`AcknowledgedBy` varchar(45)
,`Remarks` varchar(45)
,`Gross` decimal(10,2)
,`Discount` varchar(45)
,`TaxBase` decimal(10,2)
,`VAT` decimal(10,2)
,`NetAmount` decimal(10,2)
,`QtyReturned` decimal(26,0)
);
-- --------------------------------------------------------

--
-- Stand-in structure for view `qry_sales_order_return_detail`
--
CREATE TABLE IF NOT EXISTS `qry_sales_order_return_detail` (
`SalesOrderReturnDetailID` int(11)
,`SalesOrderReturnID` int(11)
,`Barcode` varchar(45)
,`products_id` varchar(50)
,`products_Title` varchar(100)
,`Qty` int(5)
,`QtyReturned` int(5)
,`QtyDue` int(6)
,`SellingPrice` varchar(10)
,`Price` decimal(10,2)
,`Gross` decimal(14,2)
,`Discount` varchar(45)
,`NetAmount` double
,`DiscountAmount` varchar(63)
);
-- --------------------------------------------------------

--
-- Table structure for table `rentalcategory`
--

CREATE TABLE IF NOT EXISTS `rentalcategory` (
  `RentalCategory_ID` int(5) NOT NULL AUTO_INCREMENT,
  `RentalCategory_Name` varchar(45) DEFAULT NULL,
  `LateFeePerDay` double DEFAULT NULL,
  `DefaultDays` int(3) DEFAULT NULL,
  `MaxHold` int(11) NOT NULL,
  PRIMARY KEY (`RentalCategory_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `rentalcategory`
--

INSERT INTO `rentalcategory` (`RentalCategory_ID`, `RentalCategory_Name`, `LateFeePerDay`, `DefaultDays`, `MaxHold`) VALUES
(1, 'Regular', 10, 1, 1),
(2, 'Special', 10, 2, 5);

-- --------------------------------------------------------

--
-- Table structure for table `rentals`
--

CREATE TABLE IF NOT EXISTS `rentals` (
  `n_id` int(11) NOT NULL DEFAULT '1',
  `Rental_ID` varchar(25) NOT NULL,
  `products_id` varchar(10) NOT NULL,
  `Description` varchar(250) NOT NULL,
  `customers_id` varchar(10) NOT NULL,
  `DatedRented` varchar(25) NOT NULL,
  `DateDue` varchar(25) NOT NULL,
  `DateReturn` varchar(25) NOT NULL,
  `Status` varchar(10) NOT NULL,
  `RentPrice` varchar(5) NOT NULL,
  `TotalAmount` varchar(10) NOT NULL,
  `Quantity` varchar(5) NOT NULL,
  KEY `products_id` (`products_id`),
  KEY `customers_id` (`customers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rentals`
--

INSERT INTO `rentals` (`n_id`, `Rental_ID`, `products_id`, `Description`, `customers_id`, `DatedRented`, `DateDue`, `DateReturn`, `Status`, `RentPrice`, `TotalAmount`, `Quantity`) VALUES
(1, 'RENT-1', 'MOV-4', 'DAYBREAKERS', 'CUST-1', '10/10/2011', '10/11/2011', '', 'On', '14.2', '14.2', '1'),
(2, 'RENT-2', 'MOV-4', 'DAYBREAKERS', 'CUST-2', '10/10/2011', '10/11/2011', '', 'On', '14.2', '14.2', '1');

-- --------------------------------------------------------

--
-- Table structure for table `sales_order`
--

CREATE TABLE IF NOT EXISTS `sales_order` (
  `SalesOrderID` int(11) NOT NULL,
  `SONo` varchar(45) NOT NULL,
  `customers_id` varchar(45) DEFAULT NULL,
  `Date` varchar(25) DEFAULT NULL,
  `Salesman` varchar(45) DEFAULT NULL,
  `OrderedBy` varchar(45) DEFAULT NULL,
  `DispatchedBy` varchar(45) DEFAULT NULL,
  `DeliveryInstructions` text,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` decimal(10,2) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` decimal(10,2) DEFAULT NULL,
  `Vat` decimal(10,2) DEFAULT NULL,
  `NetAmount` decimal(10,2) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`SalesOrderID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales_order`
--

INSERT INTO `sales_order` (`SalesOrderID`, `SONo`, `customers_id`, `Date`, `Salesman`, `OrderedBy`, `DispatchedBy`, `DeliveryInstructions`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `Vat`, `NetAmount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(1, 'SO-1', 'CUST-1', '10/10/2011', 'Janine Jasmin', 'Janine Jasmin', 'Janine Jasmin', 'door to door expressd', '', '28.40', '0.0', '25.36', '3.04', '28.40', '10/10/2011', '', NULL, NULL),
(2, 'SO-2', 'CUST-2', '10/10/2011', 'MMK', 'Philip Cesar Garay', 'Philip Cesar Garay', 'Door to Door Express', '', '37.90', '0.0', '33.84', '4.06', '37.90', '10/10/2011', '', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sales_order_delivery`
--

CREATE TABLE IF NOT EXISTS `sales_order_delivery` (
  `DeliveryID` varchar(25) NOT NULL,
  `SalesOrderID` int(11) DEFAULT NULL,
  `DeliveryNo` varchar(45) DEFAULT NULL,
  `DeliveryDate` varchar(25) DEFAULT NULL,
  `CheckedBy` varchar(45) DEFAULT NULL,
  `DeliveredBy` varchar(45) DEFAULT NULL,
  `Frieght` varchar(45) DEFAULT NULL,
  `Terms` varchar(100) DEFAULT NULL,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` decimal(10,2) NOT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` decimal(10,2) DEFAULT NULL,
  `Vat` decimal(10,2) DEFAULT NULL,
  `NetAmount` decimal(10,2) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`DeliveryID`),
  KEY `SalesOrderID` (`SalesOrderID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales_order_delivery`
--

INSERT INTO `sales_order_delivery` (`DeliveryID`, `SalesOrderID`, `DeliveryNo`, `DeliveryDate`, `CheckedBy`, `DeliveredBy`, `Frieght`, `Terms`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `Vat`, `NetAmount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
('1', 1, '1001845', '10/10/2011', '', NULL, '', '', '1', '28.40', '0.0', '25.36', '3.04', '28.40', '10/10/2011', '', NULL, NULL),
('2', 2, '1002238', '10/10/2011', 'Philip Cesar Garay', NULL, '500', '1 month to pay', '', '37.90', '0.0', '33.84', '4.06', '37.90', '10/10/2011', '', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sales_order_delivery_detail`
--

CREATE TABLE IF NOT EXISTS `sales_order_delivery_detail` (
  `SalesOrderDelDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `DeliveryID` varchar(20) NOT NULL,
  `products_id` varchar(20) NOT NULL,
  `Qty` int(11) NOT NULL,
  `QtyReturned` int(11) NOT NULL,
  `Price` decimal(11,2) NOT NULL,
  `Discount` int(5) NOT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedOn` varchar(25) NOT NULL,
  `ModifiedOn` varchar(25) NOT NULL,
  `ModifiedBy` varchar(25) NOT NULL,
  PRIMARY KEY (`SalesOrderDelDetailID`),
  KEY `products_id` (`products_id`),
  KEY `DeliveryID` (`DeliveryID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=20 ;

--
-- Dumping data for table `sales_order_delivery_detail`
--

INSERT INTO `sales_order_delivery_detail` (`SalesOrderDelDetailID`, `DeliveryID`, `products_id`, `Qty`, `QtyReturned`, `Price`, `Discount`, `CreatedBy`, `CreatedOn`, `ModifiedOn`, `ModifiedBy`) VALUES
(16, '1', 'MOV-4', 1, 1, '14.20', 0, '', '', '', ''),
(17, '1', 'MOV-2', 1, 1, '14.20', 0, '', '', '', ''),
(18, '2', 'MOV-3', 1, 0, '23.70', 0, '', '', '', ''),
(19, '2', 'MOV-2', 1, 0, '14.20', 0, '', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `sales_order_details`
--

CREATE TABLE IF NOT EXISTS `sales_order_details` (
  `SalesOrderDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `SalesOrderID` int(11) DEFAULT NULL,
  `products_id` varchar(25) DEFAULT NULL,
  `Qty` int(5) DEFAULT NULL,
  `QtyReceived` int(5) NOT NULL,
  `Price` varchar(45) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(25) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`SalesOrderDetailID`),
  KEY `SalesOrderID` (`SalesOrderID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=46 ;

--
-- Dumping data for table `sales_order_details`
--

INSERT INTO `sales_order_details` (`SalesOrderDetailID`, `SalesOrderID`, `products_id`, `Qty`, `QtyReceived`, `Price`, `Discount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(42, 1, 'MOV-4', 1, 1, '14.2', '0', '10/10/2011', '', NULL, NULL),
(43, 1, 'MOV-2', 1, 2, '14.2', '0', '10/10/2011', '', NULL, NULL),
(44, 2, 'MOV-3', 1, 1, '23.7', '0', '10/10/2011', '', NULL, NULL),
(45, 2, 'MOV-2', 1, 1, '14.2', '0', '10/10/2011', '', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sales_order_return`
--

CREATE TABLE IF NOT EXISTS `sales_order_return` (
  `SalesOrderReturnID` int(5) NOT NULL,
  `DeliveryID` int(11) DEFAULT NULL,
  `CreditMemoNo` varchar(45) DEFAULT NULL,
  `CreditMemoDate` varchar(25) DEFAULT NULL,
  `Reason` text,
  `Referrence` varchar(50) DEFAULT NULL,
  `PreparedBy` varchar(45) DEFAULT NULL,
  `ReceivedBy` varchar(45) DEFAULT NULL,
  `PostedBy` varchar(45) DEFAULT NULL,
  `ApprovedBy` varchar(45) DEFAULT NULL,
  `Date` varchar(25) DEFAULT NULL,
  `AcknowledgedBy` varchar(45) DEFAULT NULL,
  `Remarks` varchar(45) DEFAULT NULL,
  `Gross` decimal(10,2) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `TaxBase` decimal(10,2) DEFAULT NULL,
  `VAT` decimal(10,2) DEFAULT NULL,
  `NetAmount` decimal(10,2) DEFAULT NULL,
  `CreatedOn` varchar(25) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`SalesOrderReturnID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales_order_return`
--

INSERT INTO `sales_order_return` (`SalesOrderReturnID`, `DeliveryID`, `CreditMemoNo`, `CreditMemoDate`, `Reason`, `Referrence`, `PreparedBy`, `ReceivedBy`, `PostedBy`, `ApprovedBy`, `Date`, `AcknowledgedBy`, `Remarks`, `Gross`, `Discount`, `TaxBase`, `VAT`, `NetAmount`, `CreatedOn`, `CreatedBy`) VALUES
(1, 1, '2011- 1001845', '10/10/2011', '', '', '', '', '', '', '10/10/2011', '', '1', '28.40', '0.0', '25.36', '3.04', '28.40', '10/10/2011', '');

-- --------------------------------------------------------

--
-- Table structure for table `sales_order_return_details`
--

CREATE TABLE IF NOT EXISTS `sales_order_return_details` (
  `SalesOrderReturnDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `SalesOrderReturnID` int(11) DEFAULT NULL,
  `products_id` varchar(50) DEFAULT NULL,
  `Qty` int(5) DEFAULT NULL,
  `QtyReturned` int(5) NOT NULL DEFAULT '0',
  `Price` decimal(10,2) DEFAULT NULL,
  `Discount` varchar(45) DEFAULT NULL,
  `CreatedOn` datetime DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` date DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`SalesOrderReturnDetailID`),
  KEY `SalesOrderReturnID` (`SalesOrderReturnID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `sales_order_return_details`
--

INSERT INTO `sales_order_return_details` (`SalesOrderReturnDetailID`, `SalesOrderReturnID`, `products_id`, `Qty`, `QtyReturned`, `Price`, `Discount`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(1, 1, 'MOV-4', 1, 0, '14.20', '0', NULL, NULL, NULL, NULL),
(2, 1, 'MOV-2', 1, 0, '14.20', '0', NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `stockinv`
--

CREATE TABLE IF NOT EXISTS `stockinv` (
  `products_id` varchar(10) NOT NULL,
  `BegInvStock` int(11) NOT NULL,
  `StockInvDate` varchar(25) NOT NULL,
  `EndingInv` int(11) NOT NULL,
  `InvUpdateDate` varchar(50) NOT NULL,
  KEY `products_id` (`products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `stockinv`
--

INSERT INTO `stockinv` (`products_id`, `BegInvStock`, `StockInvDate`, `EndingInv`, `InvUpdateDate`) VALUES
('MOV-1', 20, '9/25/2011 12:00:00 AM', 16, '10/10/2011'),
('MOV-2', 10, '9/25/2011 12:00:00 AM', 10, '9/27/2011'),
('MOV-3', 10, '9/25/2011 12:00:00 AM', 6, '10/10/2011'),
('MOV-4', 10, '9/29/2011 12:00:00 AM', 6, '10/10/2011'),
('MOV-6', 11, '10/11/2011 12:00:00 AM', 14, '10/12/2011');

-- --------------------------------------------------------

--
-- Table structure for table `suppliercategory`
--

CREATE TABLE IF NOT EXISTS `suppliercategory` (
  `CategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `Category` varchar(100) NOT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedOn` varchar(50) NOT NULL,
  `ModifiedBy` varchar(50) NOT NULL,
  `ModifiedOn` varchar(50) NOT NULL,
  PRIMARY KEY (`CategoryID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `suppliercategory`
--


-- --------------------------------------------------------

--
-- Table structure for table `suppliers`
--

CREATE TABLE IF NOT EXISTS `suppliers` (
  `Supplier_ID` varchar(10) NOT NULL,
  `Description` varchar(45) DEFAULT NULL,
  `ContactPerson` varchar(45) DEFAULT NULL,
  `BusinessNo` varchar(45) DEFAULT NULL,
  `MobileNo` varchar(45) DEFAULT NULL,
  `Email` varchar(45) DEFAULT NULL,
  `City_Town` varchar(45) DEFAULT NULL,
  `Province` varchar(45) NOT NULL,
  `ZipCode` varchar(45) DEFAULT NULL,
  `Remarks` varchar(50) NOT NULL,
  `CreatedOn` varchar(50) DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` varchar(50) DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`Supplier_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `suppliers`
--

INSERT INTO `suppliers` (`Supplier_ID`, `Description`, `ContactPerson`, `BusinessNo`, `MobileNo`, `Email`, `City_Town`, `Province`, `ZipCode`, `Remarks`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
('000001', 'Walt Disney', 'Wendell Dadulo', 'none', 'none', 'dadudz@megoy.com', 'Naawan', 'Misamis Oriental', '9023', 'Active Members', NULL, NULL, NULL, NULL),
('000002', 'asdasdas', 'oifngisdn', 'none', 'none', 'sdsfsa', 'nkjnkjnk', 'kknkjnk', '9022', 'njkbknk', NULL, NULL, NULL, NULL),
('000003', 'fghjhgj', 'sdfsdfsd', '4324324', '89877', 'dsfsdf', 'dsfdsf', 'sdfsdf', '6575', 'dfsdfsdf', NULL, NULL, NULL, NULL),
('000004', 'jhkjkj', 'allll', '432543', '423414', 'gfdgsd', 'gsdfg', 'dgsfgs', '43', 'fdsg', NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `useraccount`
--

CREATE TABLE IF NOT EXISTS `useraccount` (
  `UserID` int(5) NOT NULL,
  `UserName` varchar(45) DEFAULT NULL,
  `Password` varchar(45) DEFAULT NULL,
  `Fullname` varchar(45) DEFAULT NULL,
  `UserType` varchar(45) DEFAULT NULL,
  `UserAccess` varchar(45) DEFAULT NULL,
  `CreatedOn` date DEFAULT NULL,
  `CreatedBy` varchar(45) DEFAULT NULL,
  `ModifiedOn` date DEFAULT NULL,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `useraccount`
--

INSERT INTO `useraccount` (`UserID`, `UserName`, `Password`, `Fullname`, `UserType`, `UserAccess`, `CreatedOn`, `CreatedBy`, `ModifiedOn`, `ModifiedBy`) VALUES
(1, 'admin', 'admin', 'Administrator', 'Administrator', 'ALL', '2011-07-31', 'System', NULL, NULL);

-- --------------------------------------------------------

--
-- Structure for view `qrycustomerplan`
--
DROP TABLE IF EXISTS `qrycustomerplan`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qrycustomerplan` AS select `customers`.`customers_id` AS `customers_id`,`customers`.`RentalCategory_Name` AS `RentalCategory_Name`,`rentalcategory`.`MaxHold` AS `MaxHold`,`rentalcategory`.`LateFeePerDay` AS `LateFeePerDay`,`rentalcategory`.`DefaultDays` AS `DefaultDays` from (`rentalcategory` join `customers` on((`customers`.`RentalCategory_Name` = `rentalcategory`.`RentalCategory_Name`)));

-- --------------------------------------------------------

--
-- Structure for view `qrycustomers_detail`
--
DROP TABLE IF EXISTS `qrycustomers_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qrycustomers_detail` AS select `customers`.`customers_id` AS `customers_id`,concat(`customers`.`LName`,', ',`customers`.`FName`,' ',`customers`.`MI`,'.') AS `Fullname`,`customers`.`Gender` AS `Gender`,`customers`.`PermanentAddress` AS `PermanentAddress`,`customers`.`EmailAddress` AS `EmailAddress`,`customers`.`MobileNo` AS `MobileNo` from `customers`;

-- --------------------------------------------------------

--
-- Structure for view `qryfullname`
--
DROP TABLE IF EXISTS `qryfullname`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qryfullname` AS select concat(`customers`.`LName`,', ',`customers`.`FName`,' ',`customers`.`MI`,'.') AS `Fullname`,`customers`.`customers_id` AS `customers_id` from `customers`;

-- --------------------------------------------------------

--
-- Structure for view `qrymoviesearch`
--
DROP TABLE IF EXISTS `qrymoviesearch`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qrymoviesearch` AS select `products`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`products`.`Rating` AS `Rating`,`products`.`Cast` AS `Cast`,`products`.`Genre` AS `Genre`,`stockinv`.`EndingInv` AS `EndingInv`,`products`.`Location` AS `Location` from (`stockinv` join `products` on((`stockinv`.`products_id` = `products`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qrystockmonitoring`
--
DROP TABLE IF EXISTS `qrystockmonitoring`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qrystockmonitoring` AS select `products`.`products_id` AS `products_id`,`products`.`Barcode` AS `Barcode`,`products`.`products_Title` AS `products_Title`,`products`.`BegInvStock` AS `BegInvStock`,`products`.`SellingPrice` AS `SellingPrice`,`stockinv`.`EndingInv` AS `EndingInv`,`products`.`RentalCategory` AS `RentalCategory`,`products`.`Genre` AS `Genre`,`movie_trailer`.`Trailer_Link` AS `Trailer_Link`,`products`.`DefaultPrice` AS `DefaultPrice`,`products`.`CostPrice` AS `CostPrice` from ((`products` left join `stockinv` on((`stockinv`.`products_id` = `products`.`products_id`))) left join `movie_trailer` on((`movie_trailer`.`products_id` = `products`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_cash_sales_detail`
--
DROP TABLE IF EXISTS `qry_cash_sales_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_cash_sales_detail` AS select `cash_sales_details`.`CashSalesDetailID` AS `CashSalesDetailID`,`cash_sales_details`.`CashSalesID` AS `CashSalesID`,`products`.`Barcode` AS `Barcode`,`products`.`products_Title` AS `products_Title`,`cash_sales_details`.`Qty` AS `Qty`,`cash_sales_details`.`QtyReturned` AS `QtyReturned`,(`cash_sales_details`.`Qty` - `cash_sales_details`.`QtyReturned`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`cash_sales_details`.`Price` AS `Price`,(`cash_sales_details`.`Qty` * `cash_sales_details`.`Price`) AS `Gross`,`cash_sales_details`.`Discount` AS `Discount`,format((abs((((`cash_sales_details`.`Price` * `cash_sales_details`.`Qty`) * (1 - `cash_sales_details`.`Discount`)) / 100)) * 100),2) AS `NetAmount`,format(((`cash_sales_details`.`Qty` * `cash_sales_details`.`Price`) * `cash_sales_details`.`Discount`),2) AS `DiscountAmount` from (`cash_sales_details` join `products` on((`cash_sales_details`.`products_Title` = `products`.`products_Title`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_purchase_order`
--
DROP TABLE IF EXISTS `qry_purchase_order`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_purchase_order` AS select `purchase_order`.`PurchaseOrderID` AS `PurchaseOrderID`,`purchase_order`.`PONo` AS `PONo`,`suppliers`.`Description` AS `Description`,`purchase_order`.`Date` AS `Date`,`purchase_order`.`Salesman` AS `Salesman`,`purchase_order`.`ShippingInstructions` AS `ShippingInstructions`,`purchase_order`.`AdditionalInstructions` AS `AdditionalInstructions`,`purchase_order`.`DeclaredAs` AS `DeclaredAs`,`purchase_order`.`DeclaredValue` AS `DeclaredValue`,sum(`purchase_order_detail`.`Qty`) AS `QtyOrdered`,sum(`purchase_order_detail`.`QtyReceived`) AS `QtyRcvd`,sum((`purchase_order_detail`.`Qty` - `purchase_order_detail`.`QtyReceived`)) AS `QtyDue`,`purchase_order`.`Gross` AS `Gross`,`purchase_order`.`Discount` AS `Discount`,`purchase_order`.`TaxBase` AS `TaxBase`,`purchase_order`.`VAT` AS `VAT`,`purchase_order`.`NetAmount` AS `NetAmount`,`purchase_order`.`Remarks` AS `Remarks`,`suppliers`.`City_Town` AS `City_Town`,`suppliers`.`Province` AS `Province`,`suppliers`.`ZipCode` AS `ZipCode` from (`purchase_order_detail` join (`suppliers` join `purchase_order` on((`suppliers`.`Supplier_ID` = `purchase_order`.`Supplier_ID`))) on((`purchase_order_detail`.`PurchaseOrderID` = `purchase_order`.`PurchaseOrderID`))) group by `purchase_order`.`PurchaseOrderID`,`purchase_order`.`PONo`,`suppliers`.`Description`,`purchase_order`.`Date`,`purchase_order`.`Salesman`,`purchase_order`.`ShippingInstructions`,`purchase_order`.`AdditionalInstructions`,`purchase_order`.`DeclaredAs`,`purchase_order`.`DeclaredValue`,`purchase_order`.`Gross`,`purchase_order`.`Discount`,`purchase_order`.`TaxBase`,`purchase_order`.`VAT`,`purchase_order`.`NetAmount`,`purchase_order`.`Remarks`,`suppliers`.`City_Town`,`suppliers`.`Province`,`suppliers`.`ZipCode`;

-- --------------------------------------------------------

--
-- Structure for view `qry_purchase_order_detail`
--
DROP TABLE IF EXISTS `qry_purchase_order_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_purchase_order_detail` AS select `purchase_order_detail`.`PurchaseOrderDetailID` AS `PurchaseOrderDetailID`,`purchase_order_detail`.`PurchaseOrderID` AS `PurchaseOrderID`,`products`.`Barcode` AS `Barcode`,`purchase_order_detail`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`purchase_order_detail`.`Qty` AS `Qty`,`purchase_order_detail`.`QtyReceived` AS `QtyReceived`,(`purchase_order_detail`.`Qty` - `purchase_order_detail`.`QtyReceived`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`purchase_order_detail`.`Price` AS `Price`,(`purchase_order_detail`.`Qty` * `purchase_order_detail`.`Price`) AS `Gross`,`purchase_order_detail`.`Discount` AS `Discount`,(abs((((`purchase_order_detail`.`Price` * `purchase_order_detail`.`Qty`) * (1 - `purchase_order_detail`.`Discount`)) / 100)) * 100) AS `NetAmount`,format(((`purchase_order_detail`.`Qty` * `purchase_order_detail`.`Price`) * `purchase_order_detail`.`Discount`),2) AS `DiscountAmount` from (`products` join `purchase_order_detail` on((`products`.`products_id` = `purchase_order_detail`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_purchase_order_receive`
--
DROP TABLE IF EXISTS `qry_purchase_order_receive`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_purchase_order_receive` AS select `purchase_order_receive`.`InvoiceID` AS `InvoiceID`,`purchase_order`.`PurchaseOrderID` AS `PurchaseOrderID`,`purchase_order`.`PONo` AS `PONo`,`suppliers`.`Description` AS `Description`,concat(`suppliers`.`City_Town`,', ',`suppliers`.`Province`,' ',`suppliers`.`ZipCode`,'.') AS `Address`,`purchase_order`.`Date` AS `Date`,`purchase_order_receive`.`InvoiceNo` AS `InvoiceNo`,`purchase_order_receive`.`InvoiceDate` AS `InvoiceDate`,`purchase_order_receive`.`DeliveryNo` AS `DeliveryNo`,`purchase_order_receive`.`DeliveryDate` AS `DeliveryDate`,`purchase_order_receive`.`Agent` AS `Agent`,`purchase_order_receive`.`Shipper` AS `Shipper`,`purchase_order_receive`.`WayBill` AS `WayBill`,`purchase_order_receive`.`Terms` AS `Terms`,`purchase_order_receive`.`Remarks` AS `Remarks`,`purchase_order_receive`.`Gross` AS `Gross`,`purchase_order_receive`.`Discount` AS `Discount`,`purchase_order_receive`.`TaxBase` AS `TaxBase`,`purchase_order_receive`.`VAT` AS `VAT`,`purchase_order_receive`.`NetAmount` AS `NetAmount`,sum(`purchase_order_receiving_detail`.`Qty`) AS `QtyRcvd`,sum(`purchase_order_receiving_detail`.`QtyReturned`) AS `Returned` from (`suppliers` join (`purchase_order` join (`purchase_order_receive` join `purchase_order_receiving_detail` on((`purchase_order_receive`.`InvoiceID` = `purchase_order_receiving_detail`.`InvoiceID`))) on((`purchase_order`.`PurchaseOrderID` = `purchase_order_receive`.`PurchaseOrderID`))) on((`suppliers`.`Supplier_ID` = `purchase_order`.`Supplier_ID`))) group by `purchase_order_receive`.`InvoiceID`,`purchase_order`.`PurchaseOrderID`,`purchase_order`.`PONo`,`suppliers`.`Description`,`suppliers`.`Province`,`purchase_order`.`Date`,`purchase_order_receive`.`InvoiceNo`,`purchase_order_receive`.`InvoiceDate`,`purchase_order_receive`.`DeliveryNo`,`purchase_order_receive`.`DeliveryDate`,`purchase_order_receive`.`Agent`,`purchase_order_receive`.`Shipper`,`purchase_order_receive`.`WayBill`,`purchase_order_receive`.`Terms`,`purchase_order_receive`.`Remarks`,`purchase_order_receive`.`Gross`,`purchase_order_receive`.`Discount`,`purchase_order_receive`.`TaxBase`,`purchase_order_receive`.`VAT`,`purchase_order_receive`.`NetAmount`;

-- --------------------------------------------------------

--
-- Structure for view `qry_purchase_order_receiving_detail`
--
DROP TABLE IF EXISTS `qry_purchase_order_receiving_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_purchase_order_receiving_detail` AS select `purchase_order_receiving_detail`.`PurchaseOrderRecDetailID` AS `PurchaseOrderRecDetailID`,`purchase_order_receiving_detail`.`InvoiceID` AS `InvoiceID`,`products`.`Barcode` AS `Barcode`,`purchase_order_receiving_detail`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`purchase_order_receiving_detail`.`Qty` AS `Qty`,`purchase_order_receiving_detail`.`QtyReturned` AS `QtyReturned`,(`purchase_order_receiving_detail`.`Qty` - `purchase_order_receiving_detail`.`QtyReturned`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`purchase_order_receiving_detail`.`Price` AS `Price`,(`purchase_order_receiving_detail`.`Qty` * `purchase_order_receiving_detail`.`Price`) AS `Gross`,`purchase_order_receiving_detail`.`Discount` AS `Discount`,(abs((((`purchase_order_receiving_detail`.`Price` * `purchase_order_receiving_detail`.`Qty`) * (1 - `purchase_order_receiving_detail`.`Discount`)) / 100)) * 100) AS `NetAmount`,format(((`purchase_order_receiving_detail`.`Qty` * `purchase_order_receiving_detail`.`Price`) * `purchase_order_receiving_detail`.`Discount`),'Standard') AS `DiscountAmount` from (`products` join `purchase_order_receiving_detail` on((`products`.`products_id` = `purchase_order_receiving_detail`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order`
--
DROP TABLE IF EXISTS `qry_sales_order`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order` AS select `sales_order`.`SalesOrderID` AS `SalesOrderID`,`sales_order`.`SONo` AS `SONo`,`customers`.`customers_id` AS `customers_id`,concat(`customers`.`LName`,', ',`customers`.`FName`,' ',`customers`.`MI`,'.') AS `Fullname`,`customers`.`PermanentAddress` AS `PermanentAddress`,`sales_order`.`Date` AS `Date`,`sales_order`.`Salesman` AS `Salesman`,`sales_order`.`OrderedBy` AS `OrderedBy`,`sales_order`.`DispatchedBy` AS `DispatchedBy`,`sales_order`.`DeliveryInstructions` AS `DeliveryInstructions`,sum(`sales_order_details`.`Qty`) AS `QtyOrdered`,sum(`sales_order_details`.`QtyReceived`) AS `QtyRcvd`,sum((`sales_order_details`.`Qty` - `sales_order_details`.`QtyReceived`)) AS `QtyDue`,`sales_order`.`Gross` AS `Gross`,`sales_order`.`Discount` AS `Discount`,`sales_order`.`TaxBase` AS `TaxBase`,`sales_order`.`Vat` AS `Vat`,`sales_order`.`NetAmount` AS `NetAmount`,`sales_order`.`Remarks` AS `Remarks` from (`sales_order_details` join (`customers` join `sales_order` on((`customers`.`customers_id` = `sales_order`.`customers_id`))) on((`sales_order_details`.`SalesOrderID` = `sales_order`.`SalesOrderID`))) group by `sales_order`.`SalesOrderID`,`sales_order`.`SONo`,`customers`.`FName`,`customers`.`PermanentAddress`,`sales_order`.`Date`,`sales_order`.`Salesman`,`sales_order`.`OrderedBy`,`sales_order`.`DispatchedBy`,`sales_order`.`DeliveryInstructions`,`sales_order`.`Gross`,`sales_order`.`Discount`,`sales_order`.`TaxBase`,`sales_order`.`Vat`,`sales_order`.`NetAmount`,`sales_order`.`Remarks`,`customers`.`customers_id`;

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order_delivery`
--
DROP TABLE IF EXISTS `qry_sales_order_delivery`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order_delivery` AS select `sales_order_delivery`.`DeliveryID` AS `DeliveryID`,`sales_order`.`SalesOrderID` AS `SalesOrderID`,`sales_order`.`SONo` AS `SONo`,concat(`customers`.`LName`,', ',`customers`.`FName`,' ',`customers`.`MI`,'.') AS `Fullname`,`customers`.`PermanentAddress` AS `PermanentAddress`,`sales_order`.`Date` AS `Date`,`sales_order_delivery`.`DeliveryNo` AS `DeliveryNo`,`sales_order_delivery`.`DeliveryDate` AS `DeliveryDate`,`sales_order_delivery`.`CheckedBy` AS `CheckedBy`,`sales_order_delivery`.`DeliveredBy` AS `DeliveredBy`,`sales_order_delivery`.`Frieght` AS `Frieght`,`sales_order_delivery`.`Terms` AS `Terms`,`sales_order_delivery`.`Remarks` AS `Remarks`,`sales_order_delivery`.`Gross` AS `Gross`,`sales_order_delivery`.`Discount` AS `Discount`,`sales_order_delivery`.`TaxBase` AS `TaxBase`,`sales_order_delivery`.`Vat` AS `Vat`,`sales_order_delivery`.`NetAmount` AS `NetAmount`,sum(`sales_order_delivery_detail`.`Qty`) AS `QtyRcvd`,sum(`sales_order_delivery_detail`.`QtyReturned`) AS `Returned` from (((`sales_order` join `sales_order_delivery` on((`sales_order`.`SalesOrderID` = `sales_order_delivery`.`SalesOrderID`))) join `sales_order_delivery_detail` on((`sales_order_delivery`.`DeliveryID` = `sales_order_delivery_detail`.`DeliveryID`))) join `customers` on((`sales_order`.`customers_id` = `customers`.`customers_id`))) group by `sales_order_delivery`.`DeliveryID`,`sales_order`.`SalesOrderID`,`sales_order`.`SONo`,`customers`.`PermanentAddress`,`sales_order`.`Date`,`sales_order_delivery`.`DeliveryNo`,`sales_order_delivery`.`DeliveryDate`,`sales_order_delivery`.`CheckedBy`,`sales_order_delivery`.`DeliveredBy`,`sales_order_delivery`.`Frieght`,`sales_order_delivery`.`Terms`,`sales_order_delivery`.`Remarks`,`sales_order_delivery`.`Gross`,`sales_order_delivery`.`Discount`,`sales_order_delivery`.`TaxBase`,`sales_order_delivery`.`Vat`,`sales_order_delivery`.`NetAmount`;

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order_delivery_detail`
--
DROP TABLE IF EXISTS `qry_sales_order_delivery_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order_delivery_detail` AS select `sales_order_delivery_detail`.`SalesOrderDelDetailID` AS `SalesOrderDelDetailID`,`sales_order_delivery_detail`.`DeliveryID` AS `DeliveryID`,`products`.`Barcode` AS `Barcode`,`products`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`sales_order_delivery_detail`.`Qty` AS `Qty`,`sales_order_delivery_detail`.`QtyReturned` AS `QtyReturned`,(`sales_order_delivery_detail`.`Qty` - `sales_order_delivery_detail`.`QtyReturned`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`sales_order_delivery_detail`.`Price` AS `Price`,(`sales_order_delivery_detail`.`Qty` * `sales_order_delivery_detail`.`Price`) AS `Gross`,`sales_order_delivery_detail`.`Discount` AS `Discount`,format((abs((((`sales_order_delivery_detail`.`Price` * `sales_order_delivery_detail`.`Qty`) * (1 - `sales_order_delivery_detail`.`Discount`)) / 100)) * 100),'Standard') AS `NetAmount`,format(((`sales_order_delivery_detail`.`Qty` * `sales_order_delivery_detail`.`Price`) * `sales_order_delivery_detail`.`Discount`),2) AS `DiscountAmount` from (`sales_order_delivery_detail` join `products` on((`sales_order_delivery_detail`.`products_id` = `products`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order_detail`
--
DROP TABLE IF EXISTS `qry_sales_order_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order_detail` AS select `sales_order_details`.`SalesOrderDetailID` AS `SalesOrderDetailID`,`sales_order_details`.`SalesOrderID` AS `SalesOrderID`,`products`.`Barcode` AS `Barcode`,`sales_order_details`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`sales_order_details`.`Qty` AS `Qty`,`sales_order_details`.`QtyReceived` AS `QtyReceived`,(`sales_order_details`.`Qty` - `sales_order_details`.`QtyReceived`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`sales_order_details`.`Price` AS `Price`,(`sales_order_details`.`Qty` * `sales_order_details`.`Price`) AS `Gross`,`sales_order_details`.`Discount` AS `Discount`,((((`sales_order_details`.`Price` * `sales_order_details`.`Qty`) * (1 - `sales_order_details`.`Discount`)) / 100) * 100) AS `NetAmount`,format(((`sales_order_details`.`Qty` * `sales_order_details`.`Price`) * `sales_order_details`.`Discount`),2) AS `DiscountAmount` from (`products` join `sales_order_details` on((`products`.`products_id` = `sales_order_details`.`products_id`)));

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order_return`
--
DROP TABLE IF EXISTS `qry_sales_order_return`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order_return` AS select `sales_order_return`.`SalesOrderReturnID` AS `SalesOrderReturnID`,`sales_order`.`SONo` AS `SONo`,concat(`customers`.`LName`,', ',`customers`.`FName`,' ',`customers`.`MI`,'.') AS `Fullname`,`sales_order`.`customers_id` AS `customers_id`,`sales_order`.`Date` AS `Date`,`sales_order_delivery`.`DeliveryID` AS `DeliveryID`,`sales_order_delivery`.`DeliveryNo` AS `DeliveryNo`,`sales_order_delivery`.`DeliveryDate` AS `DeliveryDate`,`sales_order_return`.`CreditMemoNo` AS `CreditMemoNo`,`sales_order_return`.`CreditMemoDate` AS `CreditMemoDate`,`sales_order_return`.`Reason` AS `Reason`,`sales_order_return`.`Referrence` AS `Referrence`,`sales_order_return`.`PreparedBy` AS `PreparedBy`,`sales_order_return`.`ReceivedBy` AS `ReceivedBy`,`sales_order_return`.`PostedBy` AS `PostedBy`,`sales_order_return`.`ApprovedBy` AS `ApprovedBy`,`sales_order_return`.`AcknowledgedBy` AS `AcknowledgedBy`,`sales_order_return`.`Remarks` AS `Remarks`,`sales_order_return`.`Gross` AS `Gross`,`sales_order_return`.`Discount` AS `Discount`,`sales_order_return`.`TaxBase` AS `TaxBase`,`sales_order_return`.`VAT` AS `VAT`,`sales_order_return`.`NetAmount` AS `NetAmount`,sum(`sales_order_return_details`.`Qty`) AS `QtyReturned` from ((`customers` join (`sales_order` join (`sales_order_return` join `sales_order_delivery` on((`sales_order_return`.`DeliveryID` = `sales_order_delivery`.`DeliveryID`))) on((`sales_order`.`SalesOrderID` = `sales_order_delivery`.`SalesOrderID`))) on((`customers`.`customers_id` = `sales_order`.`customers_id`))) join `sales_order_return_details` on((`sales_order_return`.`SalesOrderReturnID` = `sales_order_return_details`.`SalesOrderReturnID`))) group by `sales_order_return`.`SalesOrderReturnID`,`sales_order`.`SONo`,`customers`.`LName`,`sales_order`.`customers_id`,`sales_order`.`Date`,`sales_order_delivery`.`DeliveryID`,`sales_order_delivery`.`DeliveryNo`,`sales_order_delivery`.`DeliveryDate`,`sales_order_return`.`CreditMemoNo`,`sales_order_return`.`CreditMemoDate`,`sales_order_return`.`Reason`,`sales_order_return`.`Referrence`,`sales_order_return`.`PreparedBy`,`sales_order_return`.`ReceivedBy`,`sales_order_return`.`PostedBy`,`sales_order_return`.`ApprovedBy`,`sales_order_return`.`AcknowledgedBy`,`sales_order_return`.`Remarks`,`sales_order_return`.`Gross`,`sales_order_return`.`Discount`,`sales_order_return`.`TaxBase`,`sales_order_return`.`VAT`,`sales_order_return`.`NetAmount`;

-- --------------------------------------------------------

--
-- Structure for view `qry_sales_order_return_detail`
--
DROP TABLE IF EXISTS `qry_sales_order_return_detail`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `qry_sales_order_return_detail` AS select `sales_order_return_details`.`SalesOrderReturnDetailID` AS `SalesOrderReturnDetailID`,`sales_order_return_details`.`SalesOrderReturnID` AS `SalesOrderReturnID`,`products`.`Barcode` AS `Barcode`,`sales_order_return_details`.`products_id` AS `products_id`,`products`.`products_Title` AS `products_Title`,`sales_order_return_details`.`Qty` AS `Qty`,`sales_order_return_details`.`QtyReturned` AS `QtyReturned`,(`sales_order_return_details`.`Qty` - `sales_order_return_details`.`QtyReturned`) AS `QtyDue`,`products`.`SellingPrice` AS `SellingPrice`,`sales_order_return_details`.`Price` AS `Price`,(`sales_order_return_details`.`Qty` * `sales_order_return_details`.`Price`) AS `Gross`,`sales_order_return_details`.`Discount` AS `Discount`,(abs((((`sales_order_return_details`.`Price` * `sales_order_return_details`.`Qty`) * (1 - `sales_order_return_details`.`Discount`)) / 100)) * 100) AS `NetAmount`,format(((`sales_order_return_details`.`Qty` * `sales_order_return_details`.`Price`) * `sales_order_return_details`.`Discount`),'Standard') AS `DiscountAmount` from (`products` join `sales_order_return_details` on((`products`.`products_id` = `sales_order_return_details`.`products_id`)));

--
-- Constraints for dumped tables
--

--
-- Constraints for table `cash_sales_details`
--
ALTER TABLE `cash_sales_details`
  ADD CONSTRAINT `cash_sales_details_ibfk_1` FOREIGN KEY (`CashSalesID`) REFERENCES `cash_sales` (`CashSalesID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `cash_sales_return_detail`
--
ALTER TABLE `cash_sales_return_detail`
  ADD CONSTRAINT `cash_sales_return_detail_ibfk_2` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`),
  ADD CONSTRAINT `cash_sales_return_detail_ibfk_3` FOREIGN KEY (`VoucherID`) REFERENCES `cash_sales_return` (`VoucherID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `movie_trailer`
--
ALTER TABLE `movie_trailer`
  ADD CONSTRAINT `movie_trailer_ibfk_1` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `purchase_order_detail`
--
ALTER TABLE `purchase_order_detail`
  ADD CONSTRAINT `purchase_order_detail_ibfk_1` FOREIGN KEY (`PurchaseOrderID`) REFERENCES `purchase_order` (`PurchaseOrderID`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `purchase_order_detail_ibfk_2` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`);

--
-- Constraints for table `purchase_order_receive`
--
ALTER TABLE `purchase_order_receive`
  ADD CONSTRAINT `purchase_order_receive_ibfk_1` FOREIGN KEY (`PurchaseOrderID`) REFERENCES `purchase_order` (`PurchaseOrderID`);

--
-- Constraints for table `purchase_order_receiving_detail`
--
ALTER TABLE `purchase_order_receiving_detail`
  ADD CONSTRAINT `purchase_order_receiving_detail_ibfk_1` FOREIGN KEY (`InvoiceID`) REFERENCES `purchase_order_receive` (`InvoiceID`),
  ADD CONSTRAINT `purchase_order_receiving_detail_ibfk_2` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`);

--
-- Constraints for table `purchase_order_return`
--
ALTER TABLE `purchase_order_return`
  ADD CONSTRAINT `purchase_order_return_ibfk_1` FOREIGN KEY (`InvoiceID`) REFERENCES `purchase_order_receive` (`InvoiceID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `purchase_order_return_detail`
--
ALTER TABLE `purchase_order_return_detail`
  ADD CONSTRAINT `purchase_order_return_detail_ibfk_1` FOREIGN KEY (`PurchaseOrderReturnID`) REFERENCES `purchase_order_return` (`PurchaseOrderReturnID`);

--
-- Constraints for table `rentals`
--
ALTER TABLE `rentals`
  ADD CONSTRAINT `rentals_ibfk_1` FOREIGN KEY (`customers_id`) REFERENCES `customers` (`customers_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `rentals_ibfk_2` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`) ON DELETE CASCADE;

--
-- Constraints for table `sales_order_delivery_detail`
--
ALTER TABLE `sales_order_delivery_detail`
  ADD CONSTRAINT `sales_order_delivery_detail_ibfk_2` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`),
  ADD CONSTRAINT `sales_order_delivery_detail_ibfk_3` FOREIGN KEY (`DeliveryID`) REFERENCES `sales_order_delivery` (`DeliveryID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `sales_order_details`
--
ALTER TABLE `sales_order_details`
  ADD CONSTRAINT `sales_order_details_ibfk_1` FOREIGN KEY (`SalesOrderID`) REFERENCES `sales_order` (`SalesOrderID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `sales_order_return_details`
--
ALTER TABLE `sales_order_return_details`
  ADD CONSTRAINT `sales_order_return_details_ibfk_1` FOREIGN KEY (`SalesOrderReturnID`) REFERENCES `sales_order_return` (`SalesOrderReturnID`);

--
-- Constraints for table `stockinv`
--
ALTER TABLE `stockinv`
  ADD CONSTRAINT `stockinv_ibfk_1` FOREIGN KEY (`products_id`) REFERENCES `products` (`products_id`) ON DELETE CASCADE;
