﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmLogin : Form
    {
        public frmLogin()
        {
            InitializeComponent();
        }

        private void frmLogin_Load(object sender, EventArgs e)
        {
            if (clsMySQL.con.State == ConnectionState.Open)
            {clsMySQL.con.Close();}
            clsMySQL.con.Open();

        }

        private void cmdLogin_Click(object sender, EventArgs e)
        {
            Login(txtUserName.Text, txtPassword.Text);
        }

        void Login(string Username, string Password)
        {
            try
            {
                MySqlCommand cmd = new MySqlCommand("Select * From useraccount where UserName='" + Username + "'and Password ='" + Password + "'", clsMySQL.con);
                MySqlDataReader dr;
                dr = cmd.ExecuteReader();
                dr.Read();
                if (dr.HasRows)
                {
                    clsVariables.username = dr["UserName"].ToString();
                    clsVariables.usertype = dr["UserType"].ToString();
                    clsVariables.fullname = dr["Fullname"].ToString();

                    dr.Close();
                    this.Hide();

                    MainForm main = new MainForm();
                    main.txtCurrentUser.Text = clsVariables.fullname;
                    main.Show();

                }
                else
                {
                    MessageBox.Show("Username or Password is incorrect", "Frontdesk Module", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    dr.Close();
                }
            }
            catch (MySqlException ex)
            {
                MessageBox.Show("Username or Password is incorrect", "Frontdesk Module", MessageBoxButtons.OK, MessageBoxIcon.Warning);   
            }
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void txtPassword_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            { Login(txtUserName.Text, txtPassword.Text); }

        }

   }
}
