﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmMySQLConnector : Form
    {
        public string connectionstring;

        public frmMySQLConnector()
        {
            InitializeComponent();
        }

        private void frmMySQLConnector_Load(object sender, EventArgs e)
        {

        }

        private void cmdTest_Click(object sender, EventArgs e)
        {
            try
            {
                if (txtUID.Text == "" || txtServer.Text == "" || txtPassword.Text == "" || txtDatabase.Text == "")
                {
                    MessageBox.Show("Fill all the required fields", "MySQL Connector", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
                else
                {
                    clsMySQL.Database = txtDatabase.Text;
                    clsMySQL.Password = txtPassword.Text;
                    clsMySQL.Server = txtServer.Text;
                    clsMySQL.User = txtUID.Text;
                    clsMySQL.con.Open();
                    clsMySQL.con.Close();
                    MessageBox.Show("Test Connection Successfully!");
                }
            }
            catch
            {
                MessageBox.Show("Cannot Established Connection", "Connection Error",
                   MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
           
            clsMySQL.Database = txtDatabase.Text;
            clsMySQL.Password = txtPassword.Text;
            clsMySQL.Server = txtServer.Text;
            clsMySQL.User = txtUID.Text;
            clsMySQL.con.Open();
            this.Dispose();
        }

        
    }
}
