﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CRAXDRT;
using Microsoft.VisualBasic;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmPrintPreview : Form
    {

        public string strReport = String.Empty;
        public string PK = String.Empty;
        public string strYear = String.Empty;
        public bool blnPaid = false;
        public string strWhere = String.Empty;
        CRAXDRT.Application mTest = null;
        CRAXDRT.Report mReport = null;
        CRAXDRT.Report SubReport = null;
        CRAXDRT.ParameterFieldDefinitions mParam = null;
        
        public frmPrintPreview()
        {
            InitializeComponent();
        }

        private void frmPrintPreview_Load(object sender, EventArgs e)
        {
            object mSubRep = null;
            try
            {
                mTest = new CRAXDRT.Application();
                mReport = new CRAXDRT.Report();

            switch (strReport)
            {
                case "Receipt":
                    mReport = mTest.OpenReport(Environment.CurrentDirectory + "\\Reports\\rptCashInvoice.rpt", null);

                    mReport.RecordSelectionFormula = strWhere;

                    mParam = mReport.ParameterFields;

                    mParam[1].AddCurrentValue(clsVariables.username);
                    mParam[2].AddCurrentValue(clsVariables.usertype);
                    mParam[3].AddCurrentValue(clsVariables.username);
                    break;

                case "Sales Order":
                    mReport = mTest.OpenReport(Environment.CurrentDirectory + "\\Reports\\rptSalesOrder.rpt", null);

                    mReport.RecordSelectionFormula = strWhere;
                    break;
            }
                CR.ReportSource = mReport;
                CR.ViewReport();
            }
            catch(MySqlException ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
