﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmRentalPlan : Form
    {
        public frmRentalPlan()
        {
            InitializeComponent();
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmRentalPlanAE EA = new frmRentalPlanAE();
            EA.ShowDialog();
        }

        private void frmRentalPlan_Load(object sender, EventArgs e)
        {
            if (clsMySQL.con.State == ConnectionState.Open)
            {clsMySQL.con.Close();}
            clsMySQL.con.Open();

            FillListView();
        }

        private void cmdEdit_Click(object sender, EventArgs e)
        {
            frmRentalPlanAE ae = new frmRentalPlanAE();
            ae.ShowEdit(listView1.FocusedItem.Text);
        }

        void FillListView()
        {
            MySqlCommand cmd = new MySqlCommand("Select * From rentalcategory", clsMySQL.con);
            MySqlDataReader dr = cmd.ExecuteReader();

            while (dr.Read())
            {
                ListViewItem list = new ListViewItem(dr["RentalCategory_Name"].ToString());
                list.SubItems.Add(dr["LateFeePerDay"].ToString());
                list.SubItems.Add(dr["MaxHold"].ToString());
                listView1.Items.AddRange(new ListViewItem[] { list });
            }
            dr.Close();
        }
    }
}
