﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StockandInventory_Module
{
    public partial class frmGraphInventory : Form
    {
        public frmGraphInventory()
        {
            InitializeComponent();
        }

        private void frmGraphInventory_Load(object sender, EventArgs e)
        {
            comboBox_ChartType.Items.Clear();

            comboBox_ChartType.Items.Add("Line Chart");
            comboBox_ChartType.Items.Add("Column Chart");
            comboBox_ChartType.Items.Add("Pie Chart");
            comboBox_ChartType.Items.Add("Scatter Chart");
            comboBox_ChartType.SelectedItem = "Line Chart";

            textBox1.Text = "10";
            textBox2.Text = "20";
            textBox3.Text = "30";
            textBox4.Text = "40";
            textBox5.Text = "50";
            textBox_name1.Text = "First";

            textBox6.Text = "56";
            textBox7.Text = "65";
            textBox8.Text = "78";
            textBox9.Text = "77";
            textBox10.Text = "23";
            textBox_name2.Text = "Second";


            textBox11.Text = "103";
            textBox12.Text = "110";
            textBox13.Text = "23";
            textBox14.Text = "59";
            textBox15.Text = "60";
            textBox_name3.Text = "Third";


            textBox16.Text = "45";
            textBox17.Text = "45";
            textBox18.Text = "45";
            textBox19.Text = "45";
            textBox20.Text = "45";
            textBox_name4.Text = "Fourth";


            textBox21.Text = "54";
            textBox22.Text = "27";
            textBox23.Text = "66";
            textBox24.Text = "44";
            textBox25.Text = "10";
            textBox_name5.Text = "Fifth";

            textBox_PieVal1.Text = "10";
            textBox_PieVal2.Text = "20";
            textBox_PieVal3.Text = "30";
            textBox_PieVal4.Text = "40";
            textBox_PieVal5.Text = "50";

            textBox_PieName1.Text = "First";
            textBox_PieName2.Text = "Second";
            textBox_PieName3.Text = "Third";
            textBox_PieName4.Text = "Fourth";
            textBox_PieName5.Text = "Fifth";

            checkBox_XAxisGridline.Checked = true;
            checkBox_YAxisGridline.Checked = true;

            textBox_ChartTitle.Text = "Chart Title";
            textBox_XAxisTitle.Text = "Category (X) Axis";
            textBox_YAxisTitle.Text = "Value (Y) Axis"; 
        }

        private void button_Draw_Click(object sender, EventArgs e)
        {
            try
            {
                if (button_Draw.Text == "Draw")
                {
                    button_Draw.Text = "Redraw";
                }
                float[] values1 = null;
                float[] values2 = null;
                float[] values3 = null;
                float[] values4 = null;
                float[] values5 = null;


                string name1 = null;
                string name2 = null;
                string name3 = null;
                string name4 = null;
                string name5 = null;


                float[] pieValues = null;
                string[] pieNames = null;

                values1 = new float[5];
                values1[0] = float.Parse(textBox1.Text);
                values1[1] = float.Parse(textBox2.Text);
                values1[2] = float.Parse(textBox3.Text);
                values1[3] = float.Parse(textBox4.Text);
                values1[4] = float.Parse(textBox5.Text);
                name1 = textBox_name1.Text;

                values2 = new float[5];
                values2[0] = float.Parse(textBox6.Text);
                values2[1] = float.Parse(textBox7.Text);
                values2[2] = float.Parse(textBox8.Text);
                values2[3] = float.Parse(textBox9.Text);
                values2[4] = float.Parse(textBox10.Text);
                name2 = textBox_name2.Text;

                values3 = new float[5];
                values3[0] = float.Parse(textBox11.Text);
                values3[1] = float.Parse(textBox12.Text);
                values3[2] = float.Parse(textBox13.Text);
                values3[3] = float.Parse(textBox14.Text);
                values3[4] = float.Parse(textBox15.Text);
                name3 = textBox_name3.Text;

                values4 = new float[5];
                values4[0] = float.Parse(textBox16.Text);
                values4[1] = float.Parse(textBox17.Text);
                values4[2] = float.Parse(textBox18.Text);
                values4[3] = float.Parse(textBox19.Text);
                values4[4] = float.Parse(textBox20.Text);
                name4 = textBox_name4.Text;


                values5 = new float[5];
                values5[0] = float.Parse(textBox21.Text);
                values5[1] = float.Parse(textBox22.Text);
                values5[2] = float.Parse(textBox23.Text);
                values5[3] = float.Parse(textBox24.Text);
                values5[4] = float.Parse(textBox25.Text);
                name5 = textBox_name5.Text;



                comboBox_ChartType.DropDownStyle = ComboBoxStyle.DropDownList;

                if (comboBox_ChartType.SelectedItem.ToString() == "Line Chart")
                {
                    myChart.LoadValues(values1, name1, values2, name2, values3, name3, values4, name4, values5, name5);
                    myChart.HorizontalLines = checkBox_XAxisGridline.Checked;
                    myChart.VerticalLines = checkBox_YAxisGridline.Checked;
                    myChart.ChartType = "Line";
                    myChart.ChartTitle = textBox_ChartTitle.Text;
                    myChart.XAxisTitle = textBox_XAxisTitle.Text;
                    myChart.YAxisTitle = textBox_YAxisTitle.Text;
                    myChart.PaintLineChart();
                }
                if (comboBox_ChartType.SelectedItem.ToString() == "Column Chart")
                {
                    myChart.LoadValues(values1, name1, values2, name2, values3, name3, values4, name4, values5, name5);
                    myChart.HorizontalLines = checkBox_XAxisGridline.Checked;
                    myChart.VerticalLines = checkBox_YAxisGridline.Checked;
                    myChart.ChartType = "Column";
                    myChart.ChartTitle = textBox_ChartTitle.Text;
                    myChart.XAxisTitle = textBox_XAxisTitle.Text;
                    myChart.YAxisTitle = textBox_YAxisTitle.Text;
                    myChart.PaintColumnChart();
                }


                if (comboBox_ChartType.SelectedItem.ToString() == "Pie Chart")
                {
                    pieValues = new float[5];
                    pieValues[0] = float.Parse(textBox_PieVal1.Text);
                    pieValues[1] = float.Parse(textBox_PieVal2.Text);
                    pieValues[2] = float.Parse(textBox_PieVal3.Text);
                    pieValues[3] = float.Parse(textBox_PieVal4.Text);
                    pieValues[4] = float.Parse(textBox_PieVal5.Text);

                    pieNames = new string[5];
                    pieNames[0] = textBox_PieName1.Text;
                    pieNames[1] = textBox_PieName2.Text;
                    pieNames[2] = textBox_PieName3.Text;
                    pieNames[3] = textBox_PieName4.Text;
                    pieNames[4] = textBox_PieName5.Text;

                    myChart.LoadValuesForPie(pieValues, pieNames);
                    myChart.ChartType = "Pie";
                    myChart.ChartTitle = textBox_ChartTitle.Text;
                    myChart.XAxisTitle = textBox_XAxisTitle.Text;
                    myChart.YAxisTitle = textBox_YAxisTitle.Text;
                    myChart.PaintPieChart();
                }
                if (comboBox_ChartType.SelectedItem.ToString() == "Scatter Chart")
                {
                    myChart.LoadValues(values1, name1, values2, name2, values3, name3, values4, name4, values5, name5);
                    myChart.HorizontalLines = checkBox_XAxisGridline.Checked;
                    myChart.VerticalLines = checkBox_YAxisGridline.Checked;
                    myChart.ChartType = "Scatter";
                    myChart.ChartTitle = textBox_ChartTitle.Text;
                    myChart.XAxisTitle = textBox_XAxisTitle.Text;
                    myChart.YAxisTitle = textBox_YAxisTitle.Text;
                    myChart.PaintScatterChart();
                }

            }
            catch (Exception ex)
            {
                MessageBox.Show("Operation Failed : \n" + ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

            }
        }

        private void comboBox_ChartType_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (comboBox_ChartType.SelectedItem.ToString() == "Line Chart")
                pictureBox_LineChartPreview.BringToFront();
            if (comboBox_ChartType.SelectedItem.ToString() == "Column Chart")
                pictureBox_ColumnChartPreview.BringToFront();
            if (comboBox_ChartType.SelectedItem.ToString() == "Pie Chart")
                pictureBox_PieChartPreview.BringToFront();
            if (comboBox_ChartType.SelectedItem.ToString() == "Scatter Chart")
                pictureBox_ScatterChartPreview.BringToFront();
        }

        private void button_Resize_Click(object sender, EventArgs e)
        {
            try
            {
                myChart.ResizeToOriginal();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Operation Failed : \n" + ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

    }
}
