﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
 
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmRentalCategory : Form
    {
        public frmRentalCategory()
        {
            InitializeComponent();
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmAddRentalCategory addrentalcategory = new frmAddRentalCategory();
            addrentalcategory.ShowDialog();
        }

        private void frmRentalCategory_Load(object sender, EventArgs e)
        {
            if(clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close();}
            clsConnection.con.Open(); 

            FillListView();
        }

        public void FillListView()
        {
            MySqlCommand cmd = new MySqlCommand();
            MySqlDataReader dr;

            lvList.Items.Clear();

            cmd.CommandText = "Select * from RentalCategory";
            cmd.Connection = clsConnection.con;
            cmd.CommandType = CommandType.Text;
            dr = cmd.ExecuteReader();

            while (dr.Read())
            {
                ListViewItem list = new ListViewItem(dr["RentalCategory_ID"].ToString());
                            list.SubItems.Add(dr["RentalCategory_Name"].ToString());
                            list.SubItems.Add(dr["LateFeePerDay"].ToString());
                            lvList.Items.AddRange(new ListViewItem[] { list });
            }
            dr.Close();
        }

        private void cmdRefresh_Click(object sender, EventArgs e)
        {
            FillListView();
        }

        private void frmRentalCategory_FormClosed(object sender, FormClosedEventArgs e)
        {
            clsConnection.con.Close();
        }

        private void cmdEdit_Click(object sender, EventArgs e)
        {

        }
    }
}
