﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmEmailLogin : Form
    {
        public string mFormState;

        bool isLogin;

        public frmEmailLogin()
        {
            InitializeComponent();
        }

        private void cmdLogin_Click(object sender, EventArgs e)
        {
            clsVariables.LoginStat = true;
            clsVariables.EmailPassword = txtPassword.Text;
           clsVariables.EmailUsername = txtUserName.Text;

           clsVariables.CcEmail = txtUserName.Text;

           switch (mFormState)
           {
               case "Custom Email":
                   frmSendEmail email = new frmSendEmail();
                   email.Text = "Untitled Custom Message";
                   email.ShowDialog();
                   break;

           }
           this.Close();
        }

        private void cboProvider_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (cboProvider.Text)
            { 
                case "Gmail":
                    clsVariables.EmailProvider = "smtp.gmail.com";
                    clsVariables.EmailPort = 587;
                    break;
                case "Yahoo! Mail":
                    clsVariables.EmailProvider = "smtp.mail.yahoo.com";
                    clsVariables.EmailPort = 465;
                    break;
                case "Yahoo! Mail Plus":
                    clsVariables.EmailProvider = "plus.smtp.mail.yahoo.com";
                    clsVariables.EmailPort = 465;
                    break;
                case "Aim":

                    break;
                case "Aol":
                    clsVariables.EmailProvider = "smtp.aol.com";
                    clsVariables.EmailPort = 587;
                    break;
            }
        }

        private void frmEmailLogin_Load(object sender, EventArgs e)
        {
            isLogin = clsVariables.LoginStat;

            switch (isLogin)
            {
                case true:
                    frmSendEmail send = new frmSendEmail();
                    send.Show();
                    break;
                case false:

                    break;
            }
           
        }
    }
}
