﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FrontDesk
{
    public partial class frmFrontDesk : Form
    {
        public frmFrontDesk()
        {
            InitializeComponent();
        }

        
        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            frmRentalLookUp rent = new frmRentalLookUp();
            rent.ShowDialog();
        }

        private void frmFrontDesk_Load(object sender, EventArgs e)
        {
            //DisableControls();
        }

        private void cmdRent_Click(object sender, EventArgs e)
        {
            frmRental rent = new frmRental();
            rent.Show();
        }

        private void cmdReturn_Click(object sender, EventArgs e)
        {
            frmReturn returned = new frmReturn();
            returned.Show();
        }

        private void cmdSell_Click(object sender, EventArgs e)
        {
            frmAllCustomer customer = new frmAllCustomer();
            customer.MdiParent = MainForm.ActiveForm;
            customer.Show();
        }

        public void EnableControls()
        {
            toolBar.Enabled = true;
            tV.Enabled = true;
        }

        public void DisableControls()
        {
            toolBar.Enabled = false;
            tV.Enabled=false;
        }

        private void cmdReservation_Click(object sender, EventArgs e)
        {
            frmOrderCalendar order = new frmOrderCalendar();
            order.MdiParent = MainForm.ActiveForm;
            order.Show();
        }

        private void cmdMovieSearch_Click(object sender, EventArgs e)
        {
            frmRentalLookUp movie = new frmRentalLookUp();
            movie.MdiParent = MainForm.ActiveForm;
            movie.Show();
        }       
    }
}
