﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace FrontDesk
{
    public partial class frmRentalPlanAE : Form
    {
        public frmRentalPlanAE()
        {
            InitializeComponent();
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmRentalPlanAE_Load(object sender, EventArgs e)
        {
            if (clsMySQL.con.State == ConnectionState.Open)
            { clsMySQL.con.Close(); clsMySQL.con.Open(); }
        }

        private void cmdSave_Click(object sender, EventArgs e)
        {
            FieldValidation();
        }
        void FieldValidation()
        {
            if (txtCategoryName.Text == "" || txtLateFeePerDay.Text == "" || txtDefaultDays.Text == "")
            { MessageBox.Show("Don't leaved empty the required fields", "Stock and Inventory Module", MessageBoxButtons.OK, MessageBoxIcon.Information); }
            else
            { SaveRentalCategory(); }
        }

        void SaveRentalCategory()
        {
            MySqlCommand cmd = new MySqlCommand();

            try
            {
                cmd.CommandText = "Insert Into RentalCategory (RentalCategory_Name,LateFeePerDay,DefaultDays,MaxHold)Values('" + txtCategoryName.Text +
                                    "','" + txtLateFeePerDay.Text + "','" + txtDefaultDays.Text + "','" + txtMaxHold.Text + "')";
                cmd.Connection = clsMySQL.con;
                cmd.CommandType = CommandType.Text;
                cmd.ExecuteNonQuery();
                MessageBox.Show("Record Successfully Saved...");
            }
            catch (MySqlException e)
            { MessageBox.Show(e.Message, "Error in Saving", MessageBoxButtons.OK, MessageBoxIcon.Warning); }

        }

        public void ShowEdit(string sItem)
        {
            MySqlCommand cmd = new MySqlCommand("Select * From rentalcategory where RentalCategory_Name='" + sItem + "'",clsMySQL.con);
            MySqlDataReader dr = cmd.ExecuteReader();

            frmRentalPlanAE frm = null;
            foreach (Form f in this.MdiChildren)
            {
                if (f is frmRentalPlanAE)
                {
                    frm = (frmRentalPlanAE)f;
                    break;
                }
                if (frm == null)
                {
                    frm = new frmRentalPlanAE();
                }

                while (dr.Read())
                {
                    frm.txtCategoryName.Text = dr["RentalCategory_Name"].ToString();
                    frm.txtDefaultDays.Text = dr["DefaultDays"].ToString();
                    frm.txtLateFeePerDay.Text = dr["LateFeePerDay"].ToString();
                    frm.txtMaxHold.Text = dr["MaxHold"].ToString();
               }
                dr.Close();
                frm.Focus();
                frm.Show();
            }
        }

    }
}
