﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
 
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmAddRentalCategory : Form
    {
        public frmAddRentalCategory()
        {
            InitializeComponent();
        }

        private void frmAddRentalCategory_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); clsConnection.con.Open(); }
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void cmdSave_Click(object sender, EventArgs e)
        {
            FieldValidation();
            frmRentalCategory rentalcategory = new frmRentalCategory();
            rentalcategory.FillListView();

            this.Close();
            
        }

        void FieldValidation()
        {
            if (txtCategoryName.Text == "" || txtLateFeePerDay.Text == "" ||txtDefaultDays.Text =="")
            { MessageBox.Show("Don't leaved empty the required fields", "Stock and Inventory Module", MessageBoxButtons.OK, MessageBoxIcon.Information); }
            else if (txtDay1.Text == "" || txtDay2.Text == "" || txtDay3.Text == "" || txtDay4.Text == "" || txtDay5.Text == "" || txtDay6.Text == "" || txtDay7.Text == "" || txtWeekEnd.Text == "")
            {   txtDay1.Text = "0.00";
                txtDay2.Text = "0.00";
                txtDay3.Text = "0.00";
                txtDay4.Text = "0.00";
                txtDay5.Text = "0.00";
                txtDay6.Text = "0.00";
                txtDay7.Text = "0.00";
                txtWeekEnd.Text = "0.00";
                SaveRentalCategory();
            }
            else
            { SaveRentalCategory(); }
        }

        void SaveRentalCategory()
        {
            MySqlCommand cmd = new MySqlCommand();

            try
            {
                cmd.CommandText = "Insert Into RentalCategory (RentalCategory_Name,LateFeePerDay,DefaultDays,1_Day,2_Day,3_Day,4_Day,5_Day,6_Day,7_Day,WeekEnd)Values('" + txtCategoryName.Text +
                                    "','" + txtLateFeePerDay.Text + "','" + txtDefaultDays.Text + "','" + txtDay1.Text + "','" + txtDay2.Text + "','" + txtDay3.Text + "','" + txtDay4.Text +
                                    "','" + txtDay5.Text + "','" + txtDay6.Text + "','" + txtDay7.Text + "','" + txtWeekEnd.Text + "')";
                cmd.Connection = clsConnection.con;
                cmd.CommandType = CommandType.Text;
                cmd.ExecuteNonQuery();
                MessageBox.Show("Record Successfully Saved...");
            }
            catch (MySqlException e)
            { MessageBox.Show(e.Message, "Error in Saving", MessageBoxButtons.OK, MessageBoxIcon.Warning); }

        }

    }
}
