﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmCashSalesReturn : Form
    {
        public frmCashSalesReturn()
        {
            InitializeComponent();
        }

        private void frmCashSalesReturn_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); }
            clsConnection.con.Open();
        }

        void FillListView()
        {
            MySqlCommand cmd = new MySqlCommand("Select * From Cash_Sales", clsConnection.con);
            MySqlDataReader dr = cmd.ExecuteReader();
            listView1.Items.Clear();
            while (dr.Read())
            {
                ListViewItem list = new ListViewItem(dr["Date"].ToString());
                list.SubItems.Add(dr["InvoiceNo"].ToString());
                list.SubItems.Add(dr["SoldTo"].ToString());
                list.SubItems.Add(dr["BusinessName"].ToString());
                list.SubItems.Add(dr["Address"].ToString());
                list.SubItems.Add(dr["Gross"].ToString());
                list.SubItems.Add(dr["Discount"].ToString());
                list.SubItems.Add(dr["NetAmount"].ToString());
                list.SubItems.Add(dr["CashSalesID"].ToString());
                list.ImageIndex = 0;
                listView1.Items.AddRange(new ListViewItem[] { list });
            }
            dr.Close();
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmCashSalesReturnAE add = new frmCashSalesReturnAE();
            add.ShowDialog();
        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
