﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;


namespace StockandInventory_Module
{
    public partial class frmCriticalStockChecker : Form
    {
        public string strChecker;

        public frmCriticalStockChecker()
        {
            InitializeComponent();
        }

       
        private void frmCriticalStockChecker_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); }
            clsConnection.con.Open();

                StockChecker();
                fillLaunch();
        }

        void fillLaunch()
        {
            MySqlCommand pipz = new MySqlCommand("Select Distinct Genre from products order by products_id",clsConnection.con);
            MySqlDataReader dr = pipz.ExecuteReader();
            lvGenre.Items.Clear();
            while (dr.Read())
            {
                ListViewItem lv = new ListViewItem(dr["Genre"].ToString());
                lv.ImageIndex = 1;
                lvGenre.Items.AddRange(new ListViewItem[] { lv });
            }
            dr.Close();
        }
        void StockChecker()
        {
            lvList.Items.Clear();

            MySqlCommand cmd = new MySqlCommand("Select * From qrystockmonitoring where EndingInv < 10", clsConnection.con);
            MySqlDataReader dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ListViewItem lv = new ListViewItem(dr["products_Title"].ToString());
                lv.SubItems.Add(dr["BegInvStock"].ToString());
                lv.SubItems.Add(dr["EndingInv"].ToString());
                lv.SubItems.Add("Reorder");
                lv.SubItems.Add(dr["Genre"].ToString());
                lv.SubItems.Add(dr["products_id"].ToString());
                lv.ImageIndex = 1;
                lv.BackColor = Color.Red;
                lvList.Items.AddRange(new ListViewItem[] { lv });

            }
            dr.Close();
        }

        void GenreChecker(string Genre)
        {
            lvList.Items.Clear();

            MySqlCommand cmd = new MySqlCommand("Select * From qrystockmonitoring where Genre ='" + Genre + "' and EndingInv < 10",clsConnection.con);
            MySqlDataReader dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ListViewItem lv = new ListViewItem(dr["products_Title"].ToString());
                lv.SubItems.Add(dr["BegInvStock"].ToString());
                lv.SubItems.Add(dr["EndingInv"].ToString());
                lv.SubItems.Add(dr["Genre"].ToString());
                lv.ImageIndex = 1;
                lvList.Items.AddRange(new ListViewItem[] { lv });

            }
            dr.Close();
        }

        private void listView1_Click(object sender, EventArgs e)
        {
            GenreChecker(lvGenre.FocusedItem.Text);
        }
    }
}
