﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;
using System.Globalization;

namespace StockandInventory_Module
{
    public partial class frmCustomer : Form
    {
        MySqlCommand cmd = new MySqlCommand();
        int myID;

        public string mFormState;

        public frmCustomer()
        {
            InitializeComponent();
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            switch (mFormState)
            {
                case "ADD":
                    SaveQRY();
                    break;
                case "EDIT":
                    UpdateQRY(txtCustomerNo.Text);
                    break;
            }
            
            this.Close();
        }

        void UpdateQRY(string sCustomerID)
        {
            MySqlCommand cmd = new MySqlCommand();
            cmd.CommandText = "Update customers Set customers_id='" + sCustomerID + "',FName='" + txtFName.Text + "', MI='" + txtMI.Text + "', LName='" + txtLastName.Text + "',Gender='" + cboGender.Text + 
                              "',DOB='" + dtpDOB.Value.Date.ToShortDateString() + "',EmailAddress='"+ txtEmail.Text + "',PermanentAddress='" + txtAddress.Text + "',MailingAddress='" + txtMailingAddress.Text + "',MobileNo='" + txtMobileNo.Text + 
                              "', RentalCategory_Name='" + cboRentalPlan.Text + "',UserName='" + txtUserName.Text + "', Password='" + txtPassword.Text + "' where customers_id='" + sCustomerID + "'";
            cmd.Connection = clsConnection.con;
            cmd.ExecuteNonQuery();

            MessageBox.Show("Record Successfully Saved!", "Front Desk Module", MessageBoxButtons.OK, MessageBoxIcon.Information);
            this.Close();        
        }

        void SaveQRY()
        {
            if (txtFName.Text == "" || txtLastName.Text == "" || txtMobileNo.Text == "" || txtEmail.Text == "")
            {
                MessageBox.Show("Fill up all the required fields", "Front Desk Module", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                txtFName.Focus();
            }
            else
            {
                CheckExistingRecord();
            }

        }

        void CheckExistingRecord()
        {
            MySqlCommand com = new MySqlCommand();
            MySqlDataReader reader;
            try
            {
                com.CommandText = "Select * from customers where customers_id='" + txtCustomerNo.Text + "'";
                com.Connection = clsConnection.con;

                reader = com.ExecuteReader();
                reader.Read();

                if (reader.HasRows)
                {
                    MessageBox.Show("Customer is already existed", "Front Desk Module", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    txtFName.Focus();
                }
                else
                {
                    reader.Close();
                    com.CommandText = "Insert Into customers(customers_id,FName,MI,LName,Gender,DOB,PermanentAddress,MailingAddress,MobileNo,EmailAddress,UserName,Password,RentalCategory_Name,n_id) Values('" + txtCustomerNo.Text.Trim().ToUpper() + "','" + txtFName.Text + "','" + txtMI.Text + "','" + txtLastName.Text +
                                        "','" + cboGender.Text + "','" + dtpDOB.Value.Date.ToShortDateString() + "','" + txtAddress.Text + "','" + txtMailingAddress.Text + "','" + txtMobileNo.Text + "','" + txtEmail.Text + "','" + txtUserName.Text + "','" + txtPassword.Text + "','" + cboRentalPlan.Text + "','" + myID + "')";
                    com.Connection = clsConnection.con;
                    com.ExecuteNonQuery();

                    MySqlCommand pipz = new MySqlCommand("Update Generator Set NextNo='" + myID + "' where TableName ='" + "Sales_Order" + "'", clsConnection.con);
                    pipz.ExecuteNonQuery();


                    MessageBox.Show("Record Successfully Saved!", "Front Desk Module", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    
                    frmAllCustomer cust = new frmAllCustomer();
                    cust.FillListView();
                   
                }
            }
            catch (MySqlException ex)
            {
                MessageBox.Show(ex.Message,"Front Desk Module",MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
            }

        }


        private void GenerateID()
        {
            try
            {
                MySqlCommand cmddr = new MySqlCommand("select NextNo from Generator where TableName='" + "Customer" + "'", clsConnection.con);
                MySqlDataReader dr = cmddr.ExecuteReader();

                while (dr.Read())
                {
                    string strid = dr["NextNo"].ToString();
                    if (strid == "")
                    {
                        this.txtCustomerNo.Text = "CUST-" + "1";
                        myID = 1;
                    }
                    else
                    {
                        myID = Convert.ToInt32(dr["NextNo"]) + 1;
                        txtCustomerNo.Text = "CUST-" + myID.ToString();
                    }

                }
                dr.Close();
                cmddr.Dispose();
            }
            catch (Exception exp)
            {
                MessageBox.Show(exp.Message);
            }
        }

        
        private void frmCustomer_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); }
                clsConnection.con.Open();
            switch (mFormState)
            { 
                case "ADD":
                    GenerateID();
                    RentalPlan();
                   break;
                case "EDIT":
                    RentalPlan();
                    break;
            }
        }

        void RentalPlan()
        {
            MySqlCommand com = new MySqlCommand("Select RentalCategory_Name From rentalcategory", clsConnection.con);
            MySqlDataReader dr = com.ExecuteReader();
            cboRentalPlan.Items.Clear();
            while (dr.Read())
            {
                cboRentalPlan.Items.AddRange(new object[] { dr["RentalCategory_Name"].ToString() });
            }
            dr.Close();
        }


        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }


     }
}

