﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmPurchaseOrderReceive : Form
    {
        public frmPurchaseOrderReceive()
        {
            InitializeComponent();
        }

        private void frmPurchaseOrderReceive_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); }
            clsConnection.con.Open();
            FillListView();
        }

        void FillListView()
        {
            MySqlCommand com = new MySqlCommand("Select PONo, Description, InvoiceNo, InvoiceDate, QtyRcvd, Returned, InvoiceID From qry_Purchase_Order_Receive Order By InvoiceDate DESC", clsConnection.con);
            MySqlDataReader dr = com.ExecuteReader();
            lvList.Items.Clear();
            while (dr.Read())
            {
                ListViewItem lv = new ListViewItem(dr["PONo"].ToString());
                lv.SubItems.Add(dr["Description"].ToString());
                lv.SubItems.Add(dr["InvoiceNo"].ToString());
                lv.SubItems.Add(dr["InvoiceDate"].ToString());
                lv.SubItems.Add(dr["QtyRcvd"].ToString());
                lv.SubItems.Add(dr["Returned"].ToString());
                lv.SubItems.Add(dr["InvoiceID"].ToString());
                lv.ImageIndex = 0;
                lvList.Items.AddRange(new ListViewItem[] { lv });
                lv.ImageIndex.Equals(1);
            }
            dr.Close();
        }


        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmPurchaseOrderReceiveAE pro = new frmPurchaseOrderReceiveAE();
            pro.mFormState = "ADD";
            pro.ShowDialog();
        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btn_Edit_Click(object sender, EventArgs e)
        {
            frmPurchaseOrderReceiveAE p = new frmPurchaseOrderReceiveAE();
            p.mFormState = "EDIT";
            p.myID = Convert.ToInt32(lvList.Items[lvList.FocusedItem.Index].SubItems[6].Text);
            p.Show();
        }
    }
}
