﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
 
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmSalesOrderDelivery : Form
    {
        public frmSalesOrderDelivery()
        {
            InitializeComponent();
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmSalesOrderDeliveryAE r = new frmSalesOrderDeliveryAE();
            r.mFormState = "ADD";
            r.ShowDialog();
        }

        private void cmdEdit_Click(object sender, EventArgs e)
        {
            frmSalesOrderDeliveryAE delivery = new frmSalesOrderDeliveryAE();
            delivery.myID = Convert.ToInt32(listView1.Items[listView1.FocusedItem.Index].SubItems[6].Text);
            delivery.mFormState = "EDIT";
            delivery.ShowDialog();
        }

        private void cmdRefresh_Click(object sender, EventArgs e)
        {
            FillListView();
        }


        void FillListView()
        {
            MySqlCommand com = new MySqlCommand("Select SONo, Fullname,DeliveryNo, DeliveryDate, QtyRcvd, Returned, SalesOrderID From qry_Sales_Order_Delivery Order By DeliveryDate DESC", clsConnection.con);
            MySqlDataReader dr = com.ExecuteReader();
            listView1.Items.Clear();
            while (dr.Read())
            {
                ListViewItem lv = new ListViewItem(dr["SONo"].ToString());
                lv.SubItems.Add(dr["Fullname"].ToString());
                lv.SubItems.Add(dr["DeliveryNo"].ToString());
                lv.SubItems.Add(dr["DeliveryDate"].ToString());
                lv.SubItems.Add(dr["QtyRcvd"].ToString());
                lv.SubItems.Add(dr["Returned"].ToString());
                lv.SubItems.Add(dr["SalesOrderID"].ToString());
                listView1.Items.AddRange(new ListViewItem[] { lv });
                lv.ImageIndex = 0;
            }
            dr.Close();
        }

        private void frmSalesOrderDelivery_Load(object sender, EventArgs e)
        {
            try
            {
                if (clsConnection.con.State == ConnectionState.Open)
                { clsConnection.con.Close(); }
                clsConnection.con.Open();

                FillListView();
            }
            catch (MySqlException ex)
            {
                MessageBox.Show(ex.Message, "Database Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void listView1_DoubleClick(object sender, EventArgs e)
        {
            frmSalesOrderDeliveryAE delivery = new frmSalesOrderDeliveryAE();
            delivery.myID = Convert.ToInt32(listView1.Items[listView1.FocusedItem.Index].SubItems[6].Text);
            delivery.mFormState = "EDIT";
            delivery.ShowDialog();
        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

      
    }
}
