﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
 
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace StockandInventory_Module
{
    public partial class frmSupplier : Form
    {
        public frmSupplier()
        {
            InitializeComponent();
        }

        private void frmSupplier_Load(object sender, EventArgs e)
        {
            if (clsConnection.con.State == ConnectionState.Open)
            { clsConnection.con.Close(); }
            clsConnection.con.Open();

            FillListView();
            
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            frmSupplierAE AESupplier = new frmSupplierAE();
            AESupplier.ShowDialog();
        }

        void FillListView()
        {
            MySqlCommand cmd = new MySqlCommand();
            MySqlDataReader dr;

            lvList.Items.Clear();

            cmd.CommandText = "Select * from Suppliers";
            cmd.Connection = clsConnection.con;
            cmd.CommandType = CommandType.Text;
            dr = cmd.ExecuteReader();

            while (dr.Read())
            {
                ListViewItem list = new ListViewItem(dr["Supplier_ID"].ToString());
                list.SubItems.Add(dr["Description"].ToString());
                list.SubItems.Add(dr["ContactPerson"].ToString());
                list.SubItems.Add(dr["Email"].ToString());
                list.SubItems.Add(dr["MobileNo"].ToString());
                lvList.Items.AddRange(new ListViewItem[] { list });
            }
            dr.Close();
        }

        private void cmdRefresh_Click(object sender, EventArgs e)
        {
            FillListView();
        }

        private void cboField_Click(object sender, EventArgs e)
        {

        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

      

    }
}
